Index: general/genlib/nspr.xml
===================================================================
--- general/genlib/nspr.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ general/genlib/nspr.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -7,7 +7,7 @@
   <!ENTITY nspr-download-http "&mozilla-http;/nspr/releases/v&nspr-version;/src/nspr-&nspr-version;.tar.gz">
   <!ENTITY nspr-download-ftp " ">
-  <!ENTITY nspr-md5sum        "7a686cbf6e0ddfe7d99062565dc47192">
+  <!ENTITY nspr-md5sum        "905588f1e45f107d7b166b511300738f">
   <!ENTITY nspr-size          "1.0 MB">
-  <!ENTITY nspr-buildsize     "9 MB">
+  <!ENTITY nspr-buildsize     "11 MB">
   <!ENTITY nspr-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ introduction/welcome/changelog.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -46,4 +46,24 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to openldap-2.4.52. Fixes
+          <ulink url="&blfs-ticket-root;13979">#13979</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to curl-7.72.0. Fixes
+          <ulink url="&blfs-ticket-root;13945">#13945</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to nspr-4.28. Fixes
+          <ulink url="&blfs-ticket-root;13954">#13954</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to NSS-3.56. Fixes
+          <ulink url="&blfs-ticket-root;13955">#13955</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to NetworkManager-1.26.2. Fixes
+          <ulink url="&blfs-ticket-root;13944">#13944</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to libqmi-1.26.4. Fixes
           <ulink url="&blfs-ticket-root;13958">#13958</ulink>.</para>
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ networking/netlibs/curl.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -7,8 +7,8 @@
   <!ENTITY curl-download-http "https://curl.haxx.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "b54b386057846ce3edd3584b19741569">
+  <!ENTITY curl-md5sum        "b5579dcc9ae76478f4e070fb4f820223">
   <!ENTITY curl-size          "2.3 MB">
-  <!ENTITY curl-buildsize     "94 MB (add 16 MB for tests)">
-  <!ENTITY curl-time          "0.3 SBU (add 13 SBU for tests)">
+  <!ENTITY curl-buildsize     "96 MB (add 17 MB for tests)">
+  <!ENTITY curl-time          "0.4 SBU (add 13 SBU for tests)">
 ]>
 
@@ -71,17 +71,4 @@
         <para>
           Estimated build time: &curl-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          <!-- A hotfix for LFS-10.0, to fix the CVE w/o change the API
-               and ABI.  So we won't need to rebuild massively.  Will be
-               dropped in LFS-10.1 once we update to curl-7.72.0.  -->
-          Patch to fix CVE-2020-8231: <ulink
-          url="&patch-root;/curl-7.71.1-security_fixes-1.patch"/>
         </para>
       </listitem>
@@ -136,10 +123,4 @@
 
     <para>
-      First, apply a patch to fix a security issue:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../curl-7.71.1-security_fixes-1.patch</userinput></screen>
-
-    <para>
       Install <application>cURL</application> by running the following
       commands:
@@ -182,6 +163,6 @@
     <para>
        To run the test suite, issue: <command>make test</command>. 
-       <!--Tests 323, 1139, 1140, and 1173 are known to fail.  
-       A few other tests may fail randomly for unknown reasons.-->
+       Three tests, 1700, 1701, and 1702, are known to fail due to
+       missing executables from the nghttp2 package.
     </para>
 <!-- Two (of 857) tests
@@ -302,4 +283,14 @@
 TESTDONE: 1368 tests were considered during 1207 seconds.
 Tests were run similarly to 7.71.0, including impacket, but no stunnel.
+
+======
+Added by renodr for curl-7.72.0:
+TESTDONE: 1094 tests out of 1097 reported OK: 99%
+TESTFAIL: These test cases failed: 1700 1701 1702 
+TESTDONE: 1374 tests were considered during 1285 seconds.
+Tests have all BLFS dependencies with the exception of stunnel;
+and the optional impacket python module was installed.
+Tests seem to be failing due to a missing 'nghttpx' executable
+used to start a test server.
 -->
 
Index: networking/netutils/networkmanager.xml
===================================================================
--- networking/netutils/networkmanager.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ networking/netutils/networkmanager.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -9,8 +9,8 @@
   <!ENTITY NetworkManager-download-ftp
 "&gnome-download-ftp;/NetworkManager/&NetworkManager-minor;/NetworkManager-&NetworkManager-version;.tar.xz">
-  <!ENTITY NetworkManager-md5sum        "c0edbbf98a1ec81eed5a03539610d324">
+  <!ENTITY NetworkManager-md5sum        "ad5332a7fe5d00db7c75b722337be62b">
   <!ENTITY NetworkManager-size          "4.7 MB">
-  <!ENTITY NetworkManager-buildsize     "990 MB (with tests)">
-  <!ENTITY NetworkManager-time          "0.9 SBU (with tests; both using parallelism=4)">
+  <!ENTITY NetworkManager-buildsize     "992 MB (with tests)">
+  <!ENTITY NetworkManager-time          "1.0 SBU (with tests; both using parallelism=4)">
 ]>
 
@@ -125,4 +125,5 @@
       <xref linkend="valgrind"/>,
       <ulink url="http://www.thekelleys.org.uk/dnsmasq/doc.html">dnsmasq</ulink>,
+      <ulink url="https://firewalld.org/">firewalld</ulink>,
       <ulink url="https://github.com/Distrotech/libaudit">libaudit</ulink>,
       <ulink url="https://github.com/jpirko/libteam">libteam</ulink>,
Index: packages.ent
===================================================================
--- packages.ent	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ packages.ent	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -28,5 +28,5 @@
 <!ENTITY nettle-version               "3.6">
 
-<!ENTITY nss-minor-version            "55">
+<!ENTITY nss-minor-version            "56">
 <!ENTITY nss-micro-version            "0">
 <!--<!ENTITY nss-version                  "3.&nss-minor-version;.&nss-micro-version;">-->
@@ -177,5 +177,5 @@
 <!ENTITY nodejs-version               "12.18.3">
 <!ENTITY npth-version                 "1.6">
-<!ENTITY nspr-version                 "4.27">
+<!ENTITY nspr-version                 "4.28">
 <!ENTITY openobex-version             "1.7.2">
 <!ENTITY pcre-version                 "8.44">
@@ -593,5 +593,5 @@
 <!ENTITY mod_dnssd-version            "0.6">
 <!ENTITY NetworkManager-minor         "1.26">
-<!ENTITY NetworkManager-version       "&NetworkManager-minor;.0">
+<!ENTITY NetworkManager-version       "&NetworkManager-minor;.2">
 <!ENTITY network-manager-applet-version "1.18.0">
 <!ENTITY nmap-version                 "7.80">
@@ -605,5 +605,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.16.1">
-<!ENTITY curl-version                 "7.71.1">
+<!ENTITY curl-version                 "7.72.0">
 <!ENTITY geoclue2-version             "2.5.6">
 <!ENTITY glib-networking-version      "2.64.3">
@@ -666,5 +666,5 @@
 
 <!-- Chapter 23 -->
-<!ENTITY openldap-version             "2.4.51">
+<!ENTITY openldap-version             "2.4.52">
 <!ENTITY soprano-version              "2.9.4">
 <!ENTITY unbound-version              "1.11.0">
Index: postlfs/security/nss.xml
===================================================================
--- postlfs/security/nss.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ postlfs/security/nss.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -14,10 +14,10 @@
   <!ENTITY nss-download-http "https://&nss-url;/NSS_3_&nss-minor-version;_RTM/src/nss-&nss-version;.tar.gz">
 
-  <!ENTITY nss-download-ftp " ">
-  <!ENTITY nss-md5sum        "f48c51b8fdefcaf6eca1f9638c9e3a87">
+  <!ENTITY nss-download-ftp  " ">
+  <!ENTITY nss-md5sum        "ec4c24003069d28d5f9cc5c78a30cc5e">
   <!ENTITY nss-size          "78 MB">
   <!-- 50 MB increase is due to new test files, see #12187 -->
-  <!ENTITY nss-buildsize     "298 MB (add 189 MB for tests)">
-  <!ENTITY nss-time          "7.4 SBU (add 30 SBU for tests)">
+  <!ENTITY nss-buildsize     "300 MB (add 206 MB for tests)">
+  <!ENTITY nss-time          "7.4 SBU (add 32 SBU for tests)">
 ]>
 
Index: server/other/openldap.xml
===================================================================
--- server/other/openldap.xml	(revision d441f25d84f524bc4698bddfaecebf158085eda5)
+++ server/other/openldap.xml	(revision 365c6fb517dbac74436317e047d1e91ae21b9e84)
@@ -7,8 +7,8 @@
   <!ENTITY openldap-download-http " ">
   <!ENTITY openldap-download-ftp  "ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/openldap-&openldap-version;.tgz">
-  <!ENTITY openldap-md5sum        "0d2025896cf1c17af7304ecc57ec9531">
+  <!ENTITY openldap-md5sum        "d5e6824c58a050a6e43f53c2aa0ca677">
   <!ENTITY openldap-size          "5.6 MB">
-  <!ENTITY openldap-buildsize     "54 MB (client), 103 MB (server)">
-  <!ENTITY openldap-time          "0.5 SBU (client using parallelism=4), 1.0 SBU (server)">
+  <!ENTITY openldap-buildsize     "54 MB (client), 104 MB (server)">
+  <!ENTITY openldap-time          "0.5 SBU (client), 1.0 SBU (server)">
 ]>
 
@@ -76,5 +76,5 @@
         <para>
           Required patch:
-          <ulink url="&patch-root;/openldap-&openldap-version;-consolidated-2.patch"/>
+          <ulink url="&patch-root;/openldap-&openldap-version;-consolidated-1.patch"/>
         </para>
       </listitem>
@@ -116,5 +116,5 @@
       </para>
 
-<screen role="nodump"><userinput>patch -Np1 -i ../openldap-&openldap-version;-consolidated-2.patch &amp;&amp;
+<screen role="nodump"><userinput>patch -Np1 -i ../openldap-&openldap-version;-consolidated-1.patch &amp;&amp;
 autoconf &amp;&amp;
 
@@ -137,18 +137,4 @@
     </note>
 
-    <warning>
-      <para>
-        If upgrading from a previous installation that used Berkeley DB as
-        the backend, you will need to dump the database(s) using the
-        <command>slapcat</command> utility, relocate all files in
-        <filename class="directory">/var/lib/openldap</filename>, change all
-        instances of <option>bdb</option> to <option>mdb</option> in
-        <filename>/etc/openldap/slapd.conf</filename> and any files in
-        <filename class="directory">/etc/openldap/slapd.d</filename>, and import
-        using the <command>slapadd</command> utility after the installation is
-        completed.
-      </para>
-    </warning>
-
     <para>
       There should be a dedicated user and group to take control
@@ -168,5 +154,5 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../openldap-&openldap-version;-consolidated-2.patch &amp;&amp;
+<screen><userinput>patch -Np1 -i ../openldap-&openldap-version;-consolidated-1.patch &amp;&amp;
 autoconf &amp;&amp;
 