Index: general.ent
===================================================================
--- general.ent	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ general.ent	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 5th, &year;">
+<!ENTITY releasedate  "October 6th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ general/genlib/glib2.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -7,5 +7,5 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/2.62/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/2.62/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "a5d34752dd3a6c8d929ade7debc4db03">
+  <!ENTITY glib2-md5sum        "64c14b4fe46c478992560c2f48a5b649">
   <!ENTITY glib2-size          "4.5 MB">
   <!ENTITY glib2-buildsize     "167 MB (add 3 MB for tests)">
Index: general/prog/jinja2.xml
===================================================================
--- general/prog/jinja2.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ general/prog/jinja2.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -7,7 +7,7 @@
   <!ENTITY Jinja2-download-http "&pymodules-dl;/J/Jinja2/Jinja2-&Jinja2-version;.tar.gz">
   <!ENTITY Jinja2-download-ftp  " ">
-  <!ENTITY Jinja2-md5sum        "0ae535be40fd215a8114a090c8b68e5a">
-  <!ENTITY Jinja2-size          "256 KB">
-  <!ENTITY Jinja2-buildsize     "2.7 MB">
+  <!ENTITY Jinja2-md5sum        "7883559bc5cc3e2781d94b4be61cfdcd">
+  <!ENTITY Jinja2-size          "252 KB">
+  <!ENTITY Jinja2-buildsize     "2.6 MB">
   <!ENTITY Jinja2-time          "less than 0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ gnome.ent	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -57,5 +57,5 @@
 <!ENTITY gnome-keyring-version             "3.34.0">
 <!ENTITY gnome-settings-daemon-version     "3.34.0">
-<!ENTITY gnome-control-center-version      "3.34.0.1">
+<!ENTITY gnome-control-center-version      "3.34.1">
 <!ENTITY mutter-version                    "3.34.0">
 <!ENTITY gnome-shell-version               "3.34.0">
Index: gnome/platform/gnome-control-center.xml
===================================================================
--- gnome/platform/gnome-control-center.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ gnome/platform/gnome-control-center.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-control-center-download-ftp
            "&gnome-download-ftp;/gnome-control-center/&gnome-minor-34;/gnome-control-center-&gnome-control-center-version;.tar.xz">
-  <!ENTITY gnome-control-center-md5sum        "9f5987c787111d976a692f1c95a8908b">
+  <!ENTITY gnome-control-center-md5sum        "8b0f0baea34fbe937efd0ad1be4b451b">
   <!ENTITY gnome-control-center-size          "5.9 MB">
   <!ENTITY gnome-control-center-buildsize     "148 MB (with tests)">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ introduction/welcome/changelog.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -42,4 +42,38 @@
     </listitem>
 -->
+    <listitem>
+      <para>October 4th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to epiphany-3.34.1. Fixes
+          <ulink url="&blfs-ticket-root;12613">#12613</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-control-center-3.34.1. Fixes
+          <ulink url="&blfs-ticket-root;12614">#12614</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to sqlite-autoconf-3300000 (3.30.0). Fixes
+          <ulink url="&blfs-ticket-root;12612">#12612</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gtk+3 3.24.12. Fixes
+          <ulink url="&blfs-ticket-root;12608">#12608</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glib-networking-2.62.1. Fixes
+          <ulink url="&blfs-ticket-root;12611">#12611</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Jinja2-2.10.3 (Python module). Fixes
+          <ulink url="&blfs-ticket-root;12610">#12610</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to glib-2.62.1. Fixes
+          <ulink url="&blfs-ticket-root;12609">#12609</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
     <!-- The next person to make a change that affects both init systems today
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ networking/netlibs/glib-networking.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -9,5 +9,5 @@
   <!ENTITY glib-networking-download-ftp
     "&gnome-download-ftp;/glib-networking/2.62/glib-networking-&glib-networking-version;.tar.xz">
-  <!ENTITY glib-networking-md5sum        "33487436a16f9e79beac1c1a3b55f276">
+  <!ENTITY glib-networking-md5sum        "64ca1e1e43e623b916059585bf7e4758">
   <!ENTITY glib-networking-size          "180 KB">
   <!ENTITY glib-networking-buildsize     "4.4 MB (with tests)">
Index: packages.ent
===================================================================
--- packages.ent	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ packages.ent	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -95,5 +95,5 @@
 <!ENTITY fftw-version                 "3.3.8">
 <!ENTITY gcab-version                 "0.7">
-<!ENTITY glib2-version                "2.62.0">
+<!ENTITY glib2-version                "2.62.1">
 <!ENTITY glibmm-version               "2.62.0">
 <!ENTITY gmime-version                "2.6.23">
@@ -516,5 +516,5 @@
 <!ENTITY dbus-python-version          "1.2.12">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
-<!ENTITY Jinja2-version               "2.10.1">
+<!ENTITY Jinja2-version               "2.10.3">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
 <!ENTITY lxml-version                 "4.4.1">
@@ -575,5 +575,5 @@
 <!ENTITY curl-version                 "7.66.0">
 <!ENTITY geoclue2-version             "2.5.5">
-<!ENTITY glib-networking-version      "2.62.0">
+<!ENTITY glib-networking-version      "2.62.1">
 <!ENTITY ldns-version                 "1.7.1">
 <!ENTITY libevent-version             "2.1.11">
@@ -628,5 +628,5 @@
 <!ENTITY mariadb-version              "10.4.8">
 <!ENTITY postgresql-version           "12.0">
-<!ENTITY sqlite-version               "3.29.0">
+<!ENTITY sqlite-version               "3.30.0">
 
 <!-- Chapter 23 -->
@@ -689,5 +689,5 @@
 <!ENTITY goffice010-version           "0.10.45">
 <!ENTITY gtk2-version                 "2.24.32">
-<!ENTITY gtk3-version                 "3.24.11">
+<!ENTITY gtk3-version                 "3.24.12">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
@@ -863,5 +863,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "3.34.0">
+<!ENTITY epiphany-version             "3.34.1">
 <!ENTITY falkon-version               "3.0.1">
 <!ENTITY firefox-version              "69.0.1">
Index: server/databases/sqlite.xml
===================================================================
--- server/databases/sqlite.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ server/databases/sqlite.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY sqlite-dl-version    "3290000">
-  <!ENTITY sqlite-doc-version   "3290000">
+  <!ENTITY sqlite-dl-version    "3300000">
+  <!ENTITY sqlite-doc-version   "3300000">
 
 <!-- When updating, do not forget the above entities -->
@@ -12,12 +12,12 @@
   <!ENTITY sqlite-download-http "https://sqlite.org/2019/sqlite-autoconf-&sqlite-dl-version;.tar.gz">
   <!ENTITY sqlite-download-ftp  " ">
-  <!ENTITY sqlite-md5sum        "8f3dfe83387e62ecb91c7c5c09c688dc">
+  <!ENTITY sqlite-md5sum        "84230638d5b80b61843e43b5efcb9e53">
   <!ENTITY sqlite-size          "2.7 MB">
-  <!ENTITY sqlite-buildsize     "72 MB">
+  <!ENTITY sqlite-buildsize     "73 MB">
   <!ENTITY sqlite-time          "0.4 SBU (Using parallelism=4)">
 
   <!ENTITY sqlite-docs-download "https://sqlite.org/2019/sqlite-doc-&sqlite-doc-version;.zip">
-  <!ENTITY sqlite-docs-md5sum   "ba741a8c1c64505c56990ae5e135d84f">
-  <!ENTITY sqlite-docs-size     "9.0 MB">
+  <!ENTITY sqlite-docs-md5sum   "d601dd266310f5bceb2db9f249fb31bc">
+  <!ENTITY sqlite-docs-size     "9.1 MB">
 ]>
 
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ x/lib/gtk+3.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -7,7 +7,7 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "0a9581f9a1b71d1a2f57fae3adf46b94">
+  <!ENTITY gtk3-md5sum        "a221b0c6224c6d5c1c5f15d6d2cabc97">
   <!ENTITY gtk3-size          "20 MB">
-  <!ENTITY gtk3-buildsize     "460 MB (including tests)">
+  <!ENTITY gtk3-buildsize     "460 MB (add 2 MB for tests)">
   <!ENTITY gtk3-time          "1.1 SBU (using parallelism=4, add 0.1 SBU for tests)">
 ]>
@@ -167,5 +167,5 @@
       Additionally many tests will fail if the current 
       gtk theme (such as current XFCE themes) has deprecated elements.-->
-      six tests are known to fail in the a11y suite.
+      seven tests are known to fail in the a11y suite.
     </para>
 
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision b0b73b1c743216d7409edd60b1ca20b626c6988c)
+++ xsoft/graphweb/epiphany.xml	(revision 368dc3e1df88c836f557100965aa170b0fb79596)
@@ -9,5 +9,5 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-34;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "8f55a2a1781715370e0a1f1c4e3e927b">
+  <!ENTITY epiphany-md5sum        "50b50e18d99b19f44cc9cd419c6a4ba8">
   <!ENTITY epiphany-size          "5.0 MB">
   <!ENTITY epiphany-buildsize     "67 MB"> 