Index: general.ent
===================================================================
--- general.ent	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ general.ent	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -333,5 +333,5 @@
 <!ENTITY tree-version                 "1.7.0">
 <!ENTITY unixodbc-version             "2.3.2">
-<!ENTITY xscreensaver-version         "5.28">
+<!ENTITY xscreensaver-version         "5.29">
 
 <!-- Chapter 12 -->
@@ -373,6 +373,6 @@
 <!ENTITY bazaar-version               "2.5.1">
 <!ENTITY check-version                "0.9.13">
-<!ENTITY cmake-major-version          "2.8">
-<!ENTITY cmake-minor-version          "12.2">
+<!ENTITY cmake-major-version          "3.0">
+<!ENTITY cmake-minor-version          "0">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY cvs-version                  "1.11.23">
@@ -565,5 +565,5 @@
 <!ENTITY gdk-pixbuf-version           "2.30.8">
 <!ENTITY glu-version                  "9.0.0">
-<!ENTITY goffice010-version           "0.10.16">
+<!ENTITY goffice010-version           "0.10.17">
 <!ENTITY gtk2-version                 "2.24.23">
 <!ENTITY gtk3-version                 "3.12.2">
@@ -725,5 +725,5 @@
 <!-- Chapter 34 -->
 <!ENTITY AbiWord-version              "3.0.0">
-<!ENTITY gnumeric-version             "1.12.16">
+<!ENTITY gnumeric-version             "1.12.17">
 <!ENTITY gnucash-version              "2.4.11">
 
Index: general/genutils/xscreensaver.xml
===================================================================
--- general/genutils/xscreensaver.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ general/genutils/xscreensaver.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -7,8 +7,8 @@
   <!ENTITY xscreensaver-download-http "http://www.jwz.org/xscreensaver/xscreensaver-&xscreensaver-version;.tar.gz">
   <!ENTITY xscreensaver-download-ftp  " ">
-  <!ENTITY xscreensaver-md5sum        "9f86ef921b55ccc9efa1ffd7ca437332">
+  <!ENTITY xscreensaver-md5sum        "14f9104fa03f85371f885bdad956764d">
   <!ENTITY xscreensaver-size          "8.4 MB">
   <!ENTITY xscreensaver-buildsize     "167 MB">
-  <!ENTITY xscreensaver-time          "0.9 SBU">
+  <!ENTITY xscreensaver-time          "0.8 SBU">
 ]>
 
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ general/prog/cmake.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "http://www.cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "17c6513483d23590cbce6957ec6d1e66">
-  <!ENTITY cmake-size          "5.8 MB">
-  <!ENTITY cmake-buildsize     "222 MB (additional 175 MB for tests)">
-  <!ENTITY cmake-time          "1.5 SBU (additional 3.5 SBU for tests)">
+  <!ENTITY cmake-md5sum        "21a1c85e1a3b803c4b48e7ff915a863e">
+  <!ENTITY cmake-size          "5.3 MB">
+  <!ENTITY cmake-buildsize     "236 MB (additional 199 MB for tests)">
+  <!ENTITY cmake-time          "1.6 SBU (additional 4.4 SBU for tests)">
 ]>
 
@@ -75,14 +75,4 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/cmake-&cmake-version;-freetype-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
     <bridgehead renderas="sect3">CMake Dependencies</bridgehead>
 
@@ -95,5 +85,7 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="subversion"/> (for testing) and
+      <xref linkend="subversion"/> (for testing),
+       <ulink url="http://pypi.python.org/pypi/Sphinx">Sphinx</ulink>
+       (for building documents), and
       <xref linkend="qt4"/> or <xref linkend="qt5"/> (for the Qt-based GUI)
     </para>
@@ -108,10 +100,16 @@
 
     <para>
+       If <application>Qt4</application> and <application>Qt5</application> are
+       installed in <filename class="directory">/opt</filename>, use
+       <command>source setqt4</command> or <command>source setqt5</command> to
+       choose which one will be used to build the Qt-based GUI.
+    </para>
+
+    <para>
       Install <application>CMake</application> by running the following
       commands:
     </para>
 
-<screen><userinput>patch -Np1 -i ../cmake-&cmake-version;-freetype-1.patch &amp;&amp;
-./bootstrap --prefix=/usr       \
+<screen><userinput>./bootstrap --prefix=/usr       \
             --system-libs       \
             --mandir=/share/man \
@@ -120,8 +118,14 @@
 
     <para>
-      To test the results, issue: <command>make -k test</command>. Some
-      tests may fail for unknown reasons. Other tests depend on the
-      availability of remote sites, and may fail if those sites are
-      not available.
+      To test the results, issue: <command>bin/ctest</command>. If you want to
+      investigate a problem with a given "problem1-test", use
+      <command>bin/ctest -R "problem1-test"</command> and, to omit it, use
+      <command>bin/ctest -E "problem1-test"</command>. These options can be
+      used toghether:
+      <command>bin/ctest -R "problem1-test" -E "problem2-test"</command>.
+      Option -N can be used to display all available tests, and you can run
+      <command>bin/ctest</command> for a sub-set of tests by using their name
+      s or numbers, separated by spaces, as options. Option --help can be used
+      to show all options.
     </para>
 
Index: general/sysutils/udev-extras.xml
===================================================================
--- general/sysutils/udev-extras.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ general/sysutils/udev-extras.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -11,4 +11,6 @@
   <!ENTITY eudev-buildsize     "23 MB">
   <!ENTITY eudev-time          "0.3 SBU">
+
+  <!ENTITY eudev-svn-download-http "http://dev.gentoo.org/~blueness/eudev">
 ]>
 
@@ -30,7 +32,22 @@
     <title>Introduction to Udev Extras</title>
 
-    <para>Udev was installed as a part of eudev in LFS. However, not
-    all components were installed due to dependencies that were unavailable.
-    This procedure adds those missing components.</para>
+    <para><application>Udev</application> was indeed installed in LFS and there
+    is no reason to reinstall it unless the user is going to install a package
+    such as <application>UPower</application>. This installation of
+    <application>Udev</application> enables extra features which includes gudev,
+    a requirement for <application>UPower</application> and optionally used by
+    other packages.</para>
+
+    <para>Unlike any other package in the development version of BLFS book,
+    there is no set version of <application>Eudev</application> in this pages's
+    title. For consistency, there is no set version specified to download, as
+    well. Version update to <application>Eudev</application> in the development
+    LFS makes probable that the user's system may have an
+    <application>Eudev</application> version different from the one in the
+    development LFS. Therefore, users should download and use the version of
+    <application>Eudev</application> their computer currently uses. With few
+    exceptions, the BLFS team has no experience updating (or reverting to an
+    older version) the <application>Eudev</application> package <quote>on the
+    fly</quote>.</para>
 
     <!-- &lfs75_checked; -->
@@ -53,4 +70,7 @@
     <itemizedlist spacing="compact">
       <listitem>
+        <para>Download (HTTP): <ulink url="&eudev-svn-download-http;"/></para>
+      </listitem>
+<!--      <listitem>
         <para>Download (HTTP): <ulink url="&eudev-download-http;"/></para>
       </listitem>
@@ -69,5 +89,5 @@
       <listitem>
         <para>Estimated build time: &eudev-time;</para>
-      </listitem>
+      </listitem>-->
     </itemizedlist>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ introduction/welcome/changelog.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -48,4 +48,25 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - cmake-3.0.0. Fixes
+          <ulink url="&blfs-ticket-root;5159">#5159</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - gnumeric-1.12.17. Fixes
+          <ulink url="&blfs-ticket-root;5157">#5157</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - goffice-0.10.17. Fixes
+          <ulink url="&blfs-ticket-root;5156">#5156</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Remove all explicit eudev version references from
+          Udev Extras. Fixes
+          <ulink url="&blfs-ticket-root;5154">#5154</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - xscreensaver-5.29. Fixes
+          <ulink url="&blfs-ticket-root;5153">#5153</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to autofs-5.1.0. Fixes
           <ulink url="&blfs-ticket-root;5138">#5138</ulink>.</para>
Index: x/lib/goffice010.xml
===================================================================
--- x/lib/goffice010.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ x/lib/goffice010.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -9,7 +9,7 @@
   <!ENTITY goffice010-download-ftp
             "&gnome-download-ftp;/goffice/0.10/goffice-&goffice010-version;.tar.xz">
-  <!ENTITY goffice010-md5sum        "4525202d8927dd6ae1ac874e2f175fb7">
+  <!ENTITY goffice010-md5sum        "fd5635aeb808ebebaf87124440a9fbdb">
   <!ENTITY goffice010-size          "2.2 MB">
-  <!ENTITY goffice010-buildsize     "82 MB (additional 2 MB for the tests)">
+  <!ENTITY goffice010-buildsize     "83 MB (additional 1 MB for the tests)">
   <!ENTITY goffice010-time          "0.9 SBU (additional less than 0.1 SBU for the tests)">
 ]>
Index: xsoft/office/gnumeric.xml
===================================================================
--- xsoft/office/gnumeric.xml	(revision 3e07258013399e8a60beccdba7d57e158b56af97)
+++ xsoft/office/gnumeric.xml	(revision 369d7767e4deec0bdf1414412e287c5fad8fb553)
@@ -7,7 +7,7 @@
   <!ENTITY gnumeric-download-http "&gnome-download-http;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
   <!ENTITY gnumeric-download-ftp  "&gnome-download-ftp;/gnumeric/1.12/gnumeric-&gnumeric-version;.tar.xz">
-  <!ENTITY gnumeric-md5sum        "c719a9a8305a6be83801acda99e43f87">
+  <!ENTITY gnumeric-md5sum        "7d488148ca5192178f60d2d33c32c9e7">
   <!ENTITY gnumeric-size          "18 MB">
-  <!ENTITY gnumeric-buildsize     "251 MB (additional 3 MB for the tests)">
+  <!ENTITY gnumeric-buildsize     "251 MB (additional 2 MB for the tests)">
   <!ENTITY gnumeric-time          "1.7 SBU (additional 1.3 SBU for the tests)">
 ]>