Index: multimedia/libdriv/gst-plugins.xml
===================================================================
--- multimedia/libdriv/gst-plugins.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/gst-plugins.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -92,5 +92,6 @@
     <xref linkend="NASM"/>,
     <xref linkend="pango"/>, and
-    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    X (<xref linkend="xfree86"/>, <xref linkend="xorg"/> or 
+    <xref linkend="xorg7"/>)</para>
 
     <bridgehead renderas="sect4">Optional Audio Libraries/Drivers/CODECs</bridgehead>
Index: multimedia/libdriv/libao.xml
===================================================================
--- multimedia/libdriv/libao.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/libao.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -66,5 +66,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <para role="optional">X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>
+    or <xref linkend="xorg7"/>),
     <xref linkend="esound"/>,
     <xref linkend="alsa"/>,
Index: multimedia/libdriv/libdv.xml
===================================================================
--- multimedia/libdriv/libdv.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/libdv.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -66,5 +66,6 @@
     <xref linkend="sdl"/>,
     <xref linkend="GTK"/> and
-    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+    X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>,
+    or <xref linkend="xorg7"/>)</para>
 
   </sect2>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/libmpeg2.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -66,5 +66,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>)
+    <para role="optional">X (<xref linkend="xorg"/>, <xref linkend="xfree86"/>
+    or <xref linkend="xorg7"/>)
     and <xref linkend="sdl"/></para>
 
Index: multimedia/libdriv/nas.xml
===================================================================
--- multimedia/libdriv/nas.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/nas.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -75,6 +75,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">X (<xref linkend="xfree86"/> or
-    <xref linkend="xorg"/>)</para>
+    <para role="required">X (<xref linkend="xfree86"/>,
+    <xref linkend="xorg"/> or <xref linkend="xorg7"/>)</para>
 
   </sect2>
Index: multimedia/libdriv/sdl.xml
===================================================================
--- multimedia/libdriv/sdl.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/sdl.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -76,5 +76,6 @@
     <xref linkend="nas"/>,
     <xref linkend="NASM"/>,
-    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    X (<xref linkend="xfree86"/>, <xref linkend="xorg"/> or 
+    <xref linkend="xorg7"/>),
     <xref linkend="aalib"/>,
     <ulink url="http://www.directfb.org/">DirectFB</ulink>,
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/libdriv/xine-lib.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -64,5 +64,6 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)
+    <para role="required">X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>
+    or <xref linkend="xorg7"/>)
     and <xref linkend="esound"/> or OSS or
     <xref linkend="alsa"/> or <xref linkend="arts"/> or
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/videoutils/ffmpeg.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -84,5 +84,6 @@
     <xref linkend="lame"/>,
     <xref linkend="imlib2"/>,
-    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>,
+    or <xref linkend="xorg7"/>),
     <xref linkend="sdl"/>,
     <xref linkend="freetype2"/>,
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/videoutils/mplayer.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -196,5 +196,6 @@
 
     <bridgehead renderas="sect4">Optional Video Output Drivers and Libraries</bridgehead>
-    <para role="optional">X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    <para role="optional">X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>,
+    or <xref linkend="xorg7"/>),
     <xref linkend="libpng"/>,
     <xref linkend="libjpeg"/>,
Index: multimedia/videoutils/transcode.xml
===================================================================
--- multimedia/videoutils/transcode.xml	(revision a5a64c2f72087ff762bb6810e5b8e387c12b235e)
+++ multimedia/videoutils/transcode.xml	(revision 371ff30f5511d1d3a22ce831bd49f52c9407b3f9)
@@ -73,5 +73,6 @@
     <command>configure</command> Script Looks for Them)</bridgehead>
     <para role="optional"><xref linkend="pkgconfig"/>,
-    X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
+    X (<xref linkend="xfree86"/>, <xref linkend="xorg"/>,
+    or <xref linkend="xorg7"/>),
     <xref linkend="xvid"/>,
     <!-- Adding this comment in case this package gets any momentum and