Index: general.ent
===================================================================
--- general.ent	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
+++ general.ent	(revision 372da3224ef038a28dc628e3fff6b82d169599f7)
@@ -611,5 +611,5 @@
 <!ENTITY hicolor-icon-theme-version   "0.12">
 <!ENTITY libxklavier-version          "5.1">
-<!ENTITY freeglut-version             "2.6.0">
+<!ENTITY freeglut-version             "2.8.0">
 <!ENTITY goffice-version              "0.8.17">
 <!ENTITY mesalib-version              "7.9">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
+++ introduction/welcome/changelog.xml	(revision 372da3224ef038a28dc628e3fff6b82d169599f7)
@@ -60,4 +60,7 @@
           <para>[abenton] - libtiff 4.0.1.</para>
         </listitem>
+        <listitem>
+          <para>[abenton] - freeglut 2.8.0.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: x/lib/freeglut.xml
===================================================================
--- x/lib/freeglut.xml	(revision 352f326bb510b90e69f4e8e890eaf5400e921e56)
+++ x/lib/freeglut.xml	(revision 372da3224ef038a28dc628e3fff6b82d169599f7)
@@ -5,10 +5,11 @@
   %general-entities;
 
-  <!ENTITY freeglut-download-http "&sourceforge-repo;/freeglut/freeglut-&freeglut-version;.tar.gz">
+  <!ENTITY freeglut-download-http
+  "&sourceforge-repo;/freeglut/freeglut-&freeglut-version;.tar.gz">
   <!ENTITY freeglut-download-ftp " ">
-  <!ENTITY freeglut-md5sum        "39f0f2de89f399529d2b981188082218">
-  <!ENTITY freeglut-size          "1.1 MB">
-  <!ENTITY freeglut-buildsize     "14 MB">
-  <!ENTITY freeglut-time          "0.2 SBU">
+  <!ENTITY freeglut-md5sum        "5db8651af306bc403fbfd36934a20e1d">
+  <!ENTITY freeglut-size          "960 KB">
+  <!ENTITY freeglut-buildsize     "10 MB">
+  <!ENTITY freeglut-time          "0.1 SBU">
 ]>
 
@@ -30,9 +31,9 @@
     <title>Introduction to freeglut</title>
 
-    <para><application>freeglut</application> is intended to be a 100% compatible,
-    completely opensourced clone of the GLUT library. GLUT is a window system
-    independent toolkit for writing OpenGL programs, implementing a simple
-    windowing API, which makes learning about and exploring OpenGL programming
-    very easy.</para>
+    <para><application>freeglut</application> is intended to be a 100%
+    compatible, completely opensourced clone of the GLUT library. GLUT is a
+    window system independent toolkit for writing OpenGL programs, implementing
+    a simple windowing API, which makes learning about and exploring OpenGL
+    programming very easy.</para>
 
     &lfs70_checked;
@@ -67,5 +68,4 @@
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/freeglut"/></para>
-
   </sect2>
 
@@ -76,27 +76,23 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=<replaceable>&lt;$XORG_PREFIX&gt;</replaceable> &amp;&amp;
+<screen><userinput>./configure --prefix=<replaceable>&lt;$XORG_PREFIX&gt;</replaceable> --disable-static &amp;&amp;
 make</userinput></screen>
 
     <para>This package does not come with a test suite.</para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem>
+    user:</para>
 
 <screen role="root"><userinput>make install &amp;&amp;
-install -v -D -m644 doc/freeglut_user_interface.html \
-    /usr/share/doc/freeglut-&freeglut-version;/freeglut_user_interface.html</userinput></screen>
-
+mkdir -p <replaceable>&lt;$XORG_PREFIX&gt;</replaceable>/share/doc/freeglut-&freeglut-version; &amp;&amp;
+cp doc/*.{html,png} <replaceable>&lt;$XORG_PREFIX&gt;</replaceable>/share/doc/freeglut-&freeglut-version;</userinput></screen>
   </sect2>
 
-  <!-- <sect2 role="commands">
+  <sect2 role="commands">
     <title>Command Explanations</title>
 
-    <para><command>sed 's@-Werror@@g' -i configure</command>: This command
-    removes the <parameter>-Werror</parameter> flag from the
-    <parameter>CFLAGS</parameter> and <parameter>CXXFLAGS</parameter>
-     environment variables to avoid compilation failures due to old
-     coding standards.</para>
-
-  </sect2> -->
+    <para><option>--disable-static</option>: This option stops it compiling a
+    static version of the library.</para>
+  </sect2>
 
   <sect2 role="content">
@@ -104,12 +100,10 @@
 
     <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
-        <seg>None</seg>
-        <seg>libglut.{so,a}</seg>
-        <seg>/<replaceable>&lt;$XORG_PREFIX&gt;</replaceable>/share/doc/freeglut-&freeglut-version;</seg>
+        <seg>libglut.so</seg>
+        <seg><replaceable>&lt;$XORG_PREFIX&gt;</replaceable>/share/doc/freeglut-&freeglut-version;</seg>
       </seglistitem>
     </segmentedlist>
@@ -121,17 +115,14 @@
 
       <varlistentry id="libglut">
-        <term><filename class='libraryfile'>libglut.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libglut.so</filename></term>
         <listitem>
           <para>contains functions that implement the OpenGL Utility
           Toolkit.</para>
           <indexterm zone="freeglut libglut">
-            <primary sortas="c-libglut">libglut.{so,a}</primary>
+            <primary sortas="c-libglut">libglut.so</primary>
           </indexterm>
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>