Index: general/genlib/libxkbcommon.xml
===================================================================
--- general/genlib/libxkbcommon.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ general/genlib/libxkbcommon.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -7,7 +7,7 @@
   <!ENTITY libxkbcommon-download-http "https://xkbcommon.org/download/libxkbcommon-&libxkbcommon-version;.tar.xz">
   <!ENTITY libxkbcommon-download-ftp  " ">
-  <!ENTITY libxkbcommon-md5sum        "bdbafaa0fddc2690050ff361ac4faa4d">
-  <!ENTITY libxkbcommon-size          "400 KB">
-  <!ENTITY libxkbcommon-buildsize     "24 MB (with tests)">
+  <!ENTITY libxkbcommon-md5sum        "7d089e9650979537b50db2375a25fd54">
+  <!ENTITY libxkbcommon-size          "424 KB">
+  <!ENTITY libxkbcommon-buildsize     "25 MB (with tests)">
   <!ENTITY libxkbcommon-time          "less than 0.1 SBU (with tests)">
 ]>
Index: general/prog/perl-modules/perl-net-dns.xml
===================================================================
--- general/prog/perl-modules/perl-net-dns.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ general/prog/perl-modules/perl-net-dns.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/N/NL/NLNETLABS/Net-DNS-&Net-DNS-version;.tar.gz">
-  <!ENTITY my-md5sum "6db2562b6c42619e9c7d7e62422af8c4">
+  <!ENTITY my-md5sum "204e08e5c8042ce0e7d7f0851af46d50">
 
 ]>
Index: general/prog/pygments.xml
===================================================================
--- general/prog/pygments.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ general/prog/pygments.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -8,7 +8,7 @@
            "https://files.pythonhosted.org/packages/source/P/Pygments/Pygments-&pygments-version;.tar.gz">
   <!ENTITY pygments-download-ftp " ">
-  <!ENTITY pygments-md5sum        "a48c5219de92f12c41acba814730b31a">
-  <!ENTITY pygments-size          "3.2 MB">
-  <!ENTITY pygments-buildsize     "22 MB">
+  <!ENTITY pygments-md5sum        "5ab12bdfafbf9fda3ef445d60b111a37">
+  <!ENTITY pygments-size          "2.3 MB">
+  <!ENTITY pygments-buildsize     "18 MB">
   <!ENTITY pygments-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ introduction/welcome/changelog.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -43,4 +43,30 @@
     -->
     <listitem>
+      <para>September 15th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.28.2. Fixes
+          <ulink url="&blfs-ticket-root;14034">#14034</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to ghostscript-9.53.1. Fixes
+          <ulink url="&blfs-ticket-root;14035">#14035</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libxkbcommon-1.0.1. Fixes
+          <ulink url="&blfs-ticket-root;14037">#14037</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pygments-2.7.0 (Python Module). Fixes
+          <ulink url="&blfs-ticket-root;14039">#14039</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Net-DNS-1.27 (Perl module). Fixes
+          <ulink url="&blfs-ticket-root;14036">#14036</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>September 14th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ packages.ent	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -166,5 +166,5 @@
 <!ENTITY libusb-compat-version        "0.1.5">
 <!ENTITY libuv-version                "1.39.0">
-<!ENTITY libxkbcommon-version         "1.0.0">
+<!ENTITY libxkbcommon-version         "1.0.1">
 <!-- the libxml2-version is also used for the python2 module,
 which is built separately after libxml2.so has been installed,
@@ -414,5 +414,5 @@
 <!ENTITY LWP-Protocol-https-version   "6.09">
 <!ENTITY Module-Build-version         "0.4231">
-<!ENTITY Net-DNS-version              "1.26">
+<!ENTITY Net-DNS-version              "1.27">
 <!ENTITY Parse-RecDescent-version     "1.967015">
 <!ENTITY Parse-Yapp-version           "1.21">
@@ -555,5 +555,5 @@
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
 <!ENTITY pycryptodome-version         "3.9.8">
-<!ENTITY pygments-version             "2.6.1">
+<!ENTITY pygments-version             "2.7.0">
 <!ENTITY pygobject2-version           "2.28.7">
 <!ENTITY pygobject3-version           "3.36.1">
@@ -1039,6 +1039,6 @@
 <!-- Chapter 46 -->
 <!ENTITY cups-version                 "2.3.3">
-<!ENTITY cups-filters-version         "1.28.1">
-<!ENTITY gs-version                   "9.52">
+<!ENTITY cups-filters-version         "1.28.2">
+<!ENTITY gs-version                   "9.53.1">
 <!ENTITY gutenprint-version           "5.3.3">
 
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ pst/printing/cups-filters.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -8,7 +8,7 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "e3fc45480c9800d0212ff9bd5a5ef884">
+  <!ENTITY cups-filters-md5sum        "32d0209ca2f7168175038ce41f7fe2d1">
   <!ENTITY cups-filters-size          "1.4 MB">
-  <!ENTITY cups-filters-buildsize     "48 MB (with tests), 15MB installed">
+  <!ENTITY cups-filters-buildsize     "44 MB (with tests), 15MB installed">
   <!ENTITY cups-filters-time          "0.4 SBU (with tests)">
 ]>
Index: pst/printing/gs.xml
===================================================================
--- pst/printing/gs.xml	(revision dbde43bf1942a7b43bac3782326bd524249e507f)
+++ pst/printing/gs.xml	(revision 374ffc0696578990803e9687c08366e6a79fdd91)
@@ -8,10 +8,10 @@
 
   <!ENTITY gs-download-http
-  "https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs952/ghostscript-&gs-version;.tar.xz">
+  "https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs9531/ghostscript-&gs-version;.tar.xz">
   <!ENTITY gs-download-ftp  " ">
-  <!ENTITY gs-md5sum        "2dd455dba172010b46225819a5485389">
-  <!ENTITY gs-size          "38 MB">
-  <!ENTITY gs-buildsize     "169 MB (with fonts and libgs.so)">
-  <!ENTITY gs-time          "1.5 SBU (Using parallelism=4; with libgs.so)">
+  <!ENTITY gs-md5sum        "3052b8787050a5d33eb2c2e9c9723766">
+  <!ENTITY gs-size          "39 MB">
+  <!ENTITY gs-buildsize     "170 MB (with fonts and libgs.so)">
+  <!ENTITY gs-time          "0.6 SBU (Using parallelism=4; with libgs.so)">
 
   <!ENTITY gs-standard-fonts-download