Index: gnome/otherlibs/gal1.xml
===================================================================
--- gnome/otherlibs/gal1.xml	(revision ff769b8c6178dd8b799a5e122a2e6a5d69a22a2c)
+++ gnome/otherlibs/gal1.xml	(revision 377e46c479c906539eb6f4483f3f8167dc223908)
@@ -5,86 +5,103 @@
   %general-entities;
 
-<!ENTITY gal1-download-http "http://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
-<!ENTITY gal1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
-<!ENTITY gal1-md5sum "9f9790d4e8763c4ce74e5d59f47aa509">
-<!ENTITY gal1-size "1.0 MB">
-<!ENTITY gal1-buildsize "48 MB">
-<!ENTITY gal1-time "1.04 SBU">
+  <!ENTITY gal1-download-http "http://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
+  <!ENTITY gal1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
+  <!ENTITY gal1-md5sum "9f9790d4e8763c4ce74e5d59f47aa509">
+  <!ENTITY gal1-size "1.0 MB">
+  <!ENTITY gal1-buildsize "48 MB">
+  <!ENTITY gal1-time "1.04 SBU">
 ]>
 
 <sect1 id="gal1" xreflabel="GAL-&gal1-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="gal1.html"?>
-<title><application>GAL</application>-&gal1-version;</title>
+  <?dbhtml filename="gal1.html"?>
 
-<sect2>
-<title>Introduction to <application><acronym>GAL</acronym></application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para>The <application><acronym>GAL</acronym></application> package contains 
-library functions that came from <application>Gnumeric</application> and 
-<application>Evolution</application>. <acronym>GAL</acronym> is short for 
-<application><acronym>GNOME</acronym></application> Application Libs.</para>
+  <title>GAL-&gal1-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&gal1-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&gal1-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &gal1-md5sum;</para></listitem>
-<listitem><para>Download size: &gal1-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&gal1-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&gal1-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="gal1">
+    <primary sortas="a-GAL-1">GAL-1</primary>
+  </indexterm>
 
-<sect3><title><application><acronym>GAL</acronym></application> 
-dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="gnome-print"/> and <xref linkend="libglade14"/></para>
-</sect4>
+  <sect2 role="package">
+    <title>Introduction to GAL</title>
 
-<sect4><title>Optional</title>
-<para><xref linkend="gnome-vfs1"/></para>
-</sect4>
-</sect3>
+    <para>The <application>GAL</application> package contains library
+    functions that came from <application>Gnumeric</application> and
+    <application>Evolution</application>. GAL is short for
+    <application>GNOME</application> Application Libs.</para>
 
-</sect2>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&gal1-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&gal1-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &gal1-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &gal1-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &gal1-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &gal1-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<sect2>
-<title>Installation of <application><acronym>GAL</acronym></application></title>
+    <bridgehead renderas="sect3">GAL Dependencies</bridgehead>
 
-<para>Install <application><acronym>GAL</acronym></application> by running the 
-following commands:</para>
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="gnome-print"/> and <xref linkend="libglade14"/></para>
 
-<screen><userinput><command>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="gnome-vfs1"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of GAL</title>
+
+    <para>Install <application>GAL</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
 make &amp;&amp;
-make install</command></userinput></screen>
+make install</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><parameter>--prefix=/opt/gnome</parameter>: Installs 
-<application><acronym>GAL</acronym></application> in the 
-<application><acronym>GNOME</acronym></application> 1.4 directory 
-structure.</para>
+    <para><parameter>--prefix=/opt/gnome</parameter>: Installs
+    <application>GAL</application> in the
+    <application>GNOME</application> 1.4 directory structure.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Contents</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<para>The <application><acronym>GAL</acronym></application> package contains 
-library routines pulled from the <application>Evolution</application> and 
-<application>Gnumeric</application> projects and repackaged as the 
-<filename class='directory'>libgal</filename> generic library.</para>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-</sect2>
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libgal.[so,a]</seg>
+        <seg>Not determined at this time</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
 
 </sect1>