Index: general.ent
===================================================================
--- general.ent	(revision ebf54a62f8cb8c700b24d82abda2f09655584c0e)
+++ general.ent	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -759,4 +759,5 @@
 <!ENTITY flac-version                 "1.3.0">
 <!ENTITY grilo-version                "0.2.7">
+<!ENTITY grilo-plugins-version        "0.2.9">
 <!ENTITY gstreamer-version            "0.10.36">
 <!ENTITY gst-plugins-base-version     "0.10.36">
Index: gnome/applications/totem.xml
===================================================================
--- gnome/applications/totem.xml	(revision ebf54a62f8cb8c700b24d82abda2f09655584c0e)
+++ gnome/applications/totem.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -95,4 +95,6 @@
       <xref linkend="dbus-glib"/>,
       <xref linkend="grilo"/>,
+      <xref linkend="grilo-plugins"/> (they appear under View -> Browse or
+        View -> Search),
       <xref linkend="nautilus"/>,
       <xref linkend="pygobject3"/>, and
@@ -102,5 +104,4 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <ulink url="https://wiki.gnome.org/action/show/Projects/Grilo/">grilo-plugins</ulink>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="libzeitgeist"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ebf54a62f8cb8c700b24d82abda2f09655584c0e)
+++ introduction/welcome/changelog.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -48,4 +48,8 @@
       <itemizedlist>
         <listitem>
+          <para>[fernando] - New package: grilo-plugins-0.2.9. Fixes
+          <ulink url="&blfs-ticket-root;4425">#4425</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[fernando] - Update to wireshark-1.10.5. Fixes
           <ulink url="&blfs-ticket-root;4468">#4468</ulink>.</para>
Index: multimedia/libdriv/grilo-plugins.xml
===================================================================
--- multimedia/libdriv/grilo-plugins.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
+++ multimedia/libdriv/grilo-plugins.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -0,0 +1,142 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY grilo-plugins-download-http "&gnome-download-http;/grilo-plugins/0.2/grilo-plugins-&grilo-plugins-version;.tar.xz">
+  <!ENTITY grilo-plugins-download-ftp  "&gnome-download-ftp;/grilo-plugins/0.2/grilo-plugins-&grilo-plugins-version;.tar.xz">
+  <!ENTITY grilo-plugins-md5sum       "cdf6d3d410526bcd2abdec28830175c4">
+  <!ENTITY grilo-plugins-size         "584 KB">
+  <!ENTITY grilo-plugins-buildsize    "16 MB (all plugins)">
+  <!ENTITY grilo-plugins-time         "0.2 SBU">
+]>
+
+<sect1 id="grilo-plugins" xreflabel="Grilo-Plugins-&grilo-plugins-version;">
+  <?dbhtml filename="grilo-plugins.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: bdubbs $</othername>
+    <date>$Date: 2013-10-21 18:39:03 -0300 (Seg, 21 Out 2013) $</date>
+  </sect1info>
+
+  <title>Grilo-Plugins-&grilo-plugins-version;</title>
+
+  <indexterm zone="grilo-plugins">
+    <primary sortas="a-Grilo-Plugins">Grilo-Plugins</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Grilo-Plugins</title>
+
+    <para><application>Grilo-Plugins</application> is a collection of plugins
+    (Apple Trailers, Blip.tv, Bookmarks, Filesystem, Flickr, Jamendo, Magnatune,
+    Rai.tv, Tracker, Youtube, between others) to make media discovery and
+    browsing easy for applications that support <application>Grilo</application>
+    framework, such as <application>Totem</application> (some plugins are
+    disabled in <application>Totem</application>).</para>
+
+    &lfs74_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&grilo-plugins-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&grilo-plugins-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &grilo-plugins-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &grilo-plugins-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &grilo-plugins-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &grilo-plugins-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Grilo-Plugins Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="grilo"/>,
+      <xref linkend="libgcrypt"/> and
+      <xref linkend="sqlite"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="libsoup"/>,
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="totem-pl-parser"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gmime"/> (Podcasts),
+      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/gnome-online-accounts/">gnome-online-accounts</ulink>,
+      <ulink url="https://download.gnome.org/sources/gupnp-av/">gupnp-av</ulink> (GUPnP),
+      <xref linkend="json-glib"/> (TMDB),
+      <ulink url="https://www.flyn.org/projects/libdmapsharing/">libdmapsharing</ulink> (DMAP),
+      <ulink url="http://ftp.acc.umu.se/pub/gnome/sources/libgdata/">libgdata</ulink> (YouTube),
+      <ulink url="http://sourceforge.net/projects/quvi">libquvi (version 0.9)</ulink> (YouTube),
+      <ulink url="http://sourceforge.net/projects/liboauth/files/">liboauth</ulink>
+      (to configure flickr personal accounts), and
+      <ulink url="https://download.gnome.org/sources/tracker/">tracker</ulink> (Tracker)
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/grilo-plugins"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Grilo-Plugins</title>
+
+    <para>Install <application>Grilo-Plugins</application> by running the
+    following commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the results, issue: <command>make -k check</command>. TMDB test is
+      expected to fail, due to external requiremtents (TMDB API key).
+    </para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+    <para>
+      To test which plugins are installed, issue
+      <command>grilo-test-ui-0.2</command> from a x-terminal.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>Several, under /usr/lib/grilo-0.2, with names related to the
+          respective plugins.</seg>
+        <seg>/usr/lib/grilo-0.2 and
+             /usr/share/gnome/help/grilo-plugins/</seg>
+      </seglistitem>
+    </segmentedlist>
+
+  </sect2>
+
+</sect1>
Index: multimedia/libdriv/grilo.xml
===================================================================
--- multimedia/libdriv/grilo.xml	(revision ebf54a62f8cb8c700b24d82abda2f09655584c0e)
+++ multimedia/libdriv/grilo.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -31,5 +31,6 @@
 
     <para><application>Grilo</application> is a framework focused on making
-    media discovery and browsing easy for application developers.</para>
+    media discovery and browsing easy for applications and application
+    developers.</para>
 
     &lfs74_checked;
@@ -66,6 +67,7 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="libsoup"/> and
-      <xref linkend="gobject-introspection"/>
+      <xref linkend="libsoup"/>,
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="grilo-plugins"/>
     </para>
 
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision ebf54a62f8cb8c700b24d82abda2f09655584c0e)
+++ multimedia/libdriv/libdriv.xml	(revision 378c163c51b600f1f7be5dd6037c7b6927a84cf0)
@@ -36,4 +36,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="flac.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="grilo.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="grilo-plugins.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gstreamer.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gst-plugins-base.xml"/>