Index: multimedia/libdriv/alsa/driver/alsa-driver.ent
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -3,10 +3,10 @@
 <!ENTITY alsa-driver-inst SYSTEM "alsa-driver-inst.xml">
 <!ENTITY alsa-driver-exp SYSTEM "alsa-driver-exp.xml">
+<!ENTITY alsa-driver-config SYSTEM "alsa-driver-config.xml">
 <!ENTITY alsa-driver-desc SYSTEM "alsa-driver-desc.xml">
-<!ENTITY alsa-driver-config SYSTEM "alsa-driver-config.xml">
-<!ENTITY alsa-driver-buildsize "22 MB (for all drivers)">
-<!ENTITY alsa-driver-version "&alsa-version;">
+<!ENTITY alsa-driver-version "0.9.6">
 <!ENTITY alsa-driver-download-http "http://www.alsa-project.org/alsa/ftp/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-download-ftp "ftp://ftp.alsa-project.org/pub/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-size "1.5 MB">
+<!ENTITY alsa-driver-buildsize "22 MB (for all drivers)">
 <!ENTITY alsa-driver-time "0.55 SBU">
Index: multimedia/libdriv/alsa/lib/alsa-lib.ent
===================================================================
--- multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,10 +2,10 @@
 <!ENTITY alsa-lib-intro SYSTEM "alsa-lib-intro.xml">
 <!ENTITY alsa-lib-inst SYSTEM "alsa-lib-inst.xml">
+<!ENTITY alsa-lib-config SYSTEM "alsa-lib-config.xml">
 <!ENTITY alsa-lib-desc SYSTEM "alsa-lib-desc.xml">
-<!ENTITY alsa-lib-config SYSTEM "alsa-lib-config.xml">
-<!ENTITY alsa-lib-buildsize "19 MB">
-<!ENTITY alsa-lib-version "&alsa-version;">
+<!ENTITY alsa-lib-version "0.9.6">
 <!ENTITY alsa-lib-download-http "http://www.alsa-project.org/alsa/ftp/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
 <!ENTITY alsa-lib-download-ftp "ftp://ftp.alsa-project.org/pub/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
 <!ENTITY alsa-lib-size "501 KB">
+<!ENTITY alsa-lib-buildsize "19 MB">
 <!ENTITY alsa-lib-time "0.41 SBU">
Index: multimedia/libdriv/alsa/oss/alsa-oss.ent
===================================================================
--- multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,10 +2,10 @@
 <!ENTITY alsa-oss-intro SYSTEM "alsa-oss-intro.xml">
 <!ENTITY alsa-oss-inst SYSTEM "alsa-oss-inst.xml">
+<!ENTITY alsa-oss-config SYSTEM "alsa-oss-config.xml">
 <!ENTITY alsa-oss-desc SYSTEM "alsa-oss-desc.xml">
-<!ENTITY alsa-oss-config SYSTEM "alsa-oss-config.xml">
-<!ENTITY alsa-oss-buildsize "1.3 MB">
-<!ENTITY alsa-oss-version "&alsa-version;">
+<!ENTITY alsa-oss-version "0.9.6">
 <!ENTITY alsa-oss-download-http "http://www.alsa-project.org/alsa/ftp/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
 <!ENTITY alsa-oss-download-ftp "ftp://ftp.alsa-project.org/pub/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
 <!ENTITY alsa-oss-size "131 KB">
+<!ENTITY alsa-oss-buildsize "1.3 MB">
 <!ENTITY alsa-oss-time "0.04 SBU">
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -3,8 +3,8 @@
 <!ENTITY alsa-tools-inst SYSTEM "alsa-tools-inst.xml">
 <!ENTITY alsa-tools-desc SYSTEM "alsa-tools-desc.xml">
-<!ENTITY alsa-tools-buildsize "6.8 MB (to compile all tools)">
-<!ENTITY alsa-tools-version "&alsa-version;">
+<!ENTITY alsa-tools-version "0.9.6">
 <!ENTITY alsa-tools-download-http "http://www.alsa-project.org/alsa/ftp/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
 <!ENTITY alsa-tools-download-ftp "ftp://ftp.alsa-project.org/pub/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
 <!ENTITY alsa-tools-size "1.3 MB">
+<!ENTITY alsa-tools-buildsize "6.8 MB (to compile all tools)">
 <!ENTITY alsa-tools-time "">
Index: multimedia/libdriv/alsa/utils/alsa-utils.ent
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,10 +2,10 @@
 <!ENTITY alsa-utils-intro SYSTEM "alsa-utils-intro.xml">
 <!ENTITY alsa-utils-inst SYSTEM "alsa-utils-inst.xml">
+<!ENTITY alsa-utils-config SYSTEM "alsa-utils-config.xml">
 <!ENTITY alsa-utils-desc SYSTEM "alsa-utils-desc.xml">
-<!ENTITY alsa-utils-config SYSTEM "alsa-utils-config.xml">
-<!ENTITY alsa-utils-buildsize "1.8 MB">
-<!ENTITY alsa-utils-version "&alsa-version;">
+<!ENTITY alsa-utils-version "0.9.6">
 <!ENTITY alsa-utils-download-http "http://www.alsa-project.org/alsa/ftp/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
 <!ENTITY alsa-utils-download-ftp "ftp://ftp.alsa-project.org/pub/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
 <!ENTITY alsa-utils-size "106 KB">
+<!ENTITY alsa-utils-buildsize "1.8 MB">
 <!ENTITY alsa-utils-time "0.06 SBU">
Index: ltimedia/libdriv/audiofile/audiofile-config.xml
===================================================================
--- multimedia/libdriv/audiofile/audiofile-config.xml	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>Audio File</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: multimedia/libdriv/audiofile/audiofile.ent
===================================================================
--- multimedia/libdriv/audiofile/audiofile.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/audiofile/audiofile.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -3,9 +3,8 @@
 <!ENTITY audiofile-inst SYSTEM "audiofile-inst.xml">
 <!ENTITY audiofile-desc SYSTEM "audiofile-desc.xml">
-<!ENTITY audiofile-config SYSTEM "audiofile-config.xml">
+<!ENTITY audiofile-version "0.2.3">
+<!ENTITY audiofile-download-http "http://www.zentek-international.com/mirrors/gnome/desktop/2.0/2.0.1/sources/audiofile-&audiofile-version;.tar.gz">
+<!ENTITY audiofile-download-ftp "ftp://oss.sgi.com/projects/audiofile/download/audiofile-&audiofile-version;.tar.gz">
+<!ENTITY audiofile-size "332 KB">
 <!ENTITY audiofile-buildsize "17 MB">
-<!ENTITY audiofile-version "0.2.3">
-<!ENTITY audiofile-download-http "">
-<!ENTITY audiofile-download-ftp "ftp://oss.sgi.com/projects/audiofile/download/audiofile-0.2.3.tar.gz">
-<!ENTITY audiofile-size "332 KB">
 <!ENTITY audiofile-time "0.47 SBU">
Index: multimedia/libdriv/esound/esound.ent
===================================================================
--- multimedia/libdriv/esound/esound.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/esound/esound.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -3,10 +3,10 @@
 <!ENTITY esound-inst SYSTEM "esound-inst.xml">
 <!ENTITY esound-exp SYSTEM "esound-exp.xml">
+<!ENTITY esound-config SYSTEM "esound-config.xml">
 <!ENTITY esound-desc SYSTEM "esound-desc.xml">
-<!ENTITY esound-config SYSTEM "esound-config.xml">
+<!ENTITY esound-version "0.2.30">
+<!ENTITY esound-download-http "http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-&esound-version;.tar.bz2">
+<!ENTITY esound-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-&esound-version;.tar.bz2">
+<!ENTITY esound-size "348 KB">
 <!ENTITY esound-buildsize "3.0 MB">
-<!ENTITY esound-version "0.2.30">
-<!ENTITY esound-download-http "http://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.30.tar.bz2">
-<!ENTITY esound-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/esound/0.2/esound-0.2.30.tar.bz2">
-<!ENTITY esound-size "348 KB">
 <!ENTITY esound-time "0.17 SBU">
Index: multimedia/libdriv/flac/flac.ent
===================================================================
--- multimedia/libdriv/flac/flac.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/flac/flac.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY flac-intro SYSTEM "flac-intro.xml">
 <!ENTITY flac-inst SYSTEM "flac-inst.xml">
-<!ENTITY flac-exp SYSTEM "flac-exp.xml">
 <!ENTITY flac-desc SYSTEM "flac-desc.xml">
-<!ENTITY flac-config SYSTEM "flac-config.xml">
-<!ENTITY flac-buildsize "33 MB">
 <!ENTITY flac-version "1.1.0">
 <!ENTITY flac-download-http "http://flow.dl.sourceforge.net/sourceforge/flac/flac-&flac-version;.tar.gz">
 <!ENTITY flac-download-ftp "">
 <!ENTITY flac-size "1.2 MB">
+<!ENTITY flac-buildsize "33 MB">
 <!ENTITY flac-time "0.71 SBU">
Index: multimedia/libdriv/id3lib/id3lib.ent
===================================================================
--- multimedia/libdriv/id3lib/id3lib.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/id3lib/id3lib.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY id3lib-intro SYSTEM "id3lib-intro.xml">
 <!ENTITY id3lib-inst SYSTEM "id3lib-inst.xml">
-<!ENTITY id3lib-exp SYSTEM "id3lib-exp.xml">
 <!ENTITY id3lib-desc SYSTEM "id3lib-desc.xml">
-<!ENTITY id3lib-config SYSTEM "id3lib-config.xml">
-<!ENTITY id3lib-buildsize "39 MB">
 <!ENTITY id3lib-version "3.8.3">
 <!ENTITY id3lib-download-http "http://flow.dl.sourceforge.net/sourceforge/id3lib/id3lib-&id3lib-version;.tar.gz">
-<!ENTITY id3lib-download-ftp "">
+<!ENTITY id3lib-download-ftp "ftp://sunsite.ccu.edu.tw/pub13/sourceforge/i/id3lib/id3lib-&id3lib-version;.tar.gz">
 <!ENTITY id3lib-size "928 KB">
+<!ENTITY id3lib-buildsize "39 MB">
 <!ENTITY id3lib-time "1.01 SBU">
Index: multimedia/libdriv/liba52/liba52.ent
===================================================================
--- multimedia/libdriv/liba52/liba52.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/liba52/liba52.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY liba52-intro SYSTEM "liba52-intro.xml">
 <!ENTITY liba52-inst SYSTEM "liba52-inst.xml">
-<!ENTITY liba52-exp SYSTEM "liba52-exp.xml">
 <!ENTITY liba52-desc SYSTEM "liba52-desc.xml">
-<!ENTITY liba52-config SYSTEM "liba52-config.xml">
-<!ENTITY liba52-buildsize "2.8 MB">
 <!ENTITY liba52-version "0.7.4">
 <!ENTITY liba52-download-http "http://liba52.sourceforge.net/files/a52dec-&liba52-version;.tar.gz">
 <!ENTITY liba52-download-ftp "">
 <!ENTITY liba52-size "236 KB">
+<!ENTITY liba52-buildsize "2.8 MB">
 <!ENTITY liba52-time "0.07 SBU">
Index: ltimedia/libdriv/libao/libao-config.xml
===================================================================
--- multimedia/libdriv/libao/libao-config.xml	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Configuring <application>libao</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-</sect3>
-
-</sect2>
-
Index: ltimedia/libdriv/libao/libao-exp.xml
===================================================================
--- multimedia/libdriv/libao/libao-exp.xml	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><command>make CC="gcc $CFLAGS"</command>: This makes libao
-compile using our CFLAGS for optimizations.</para>
-
-</sect2>
-
Index: multimedia/libdriv/libao/libao.ent
===================================================================
--- multimedia/libdriv/libao/libao.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libao/libao.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY libao-intro SYSTEM "libao-intro.xml">
 <!ENTITY libao-inst SYSTEM "libao-inst.xml">
-<!ENTITY libao-exp SYSTEM "libao-exp.xml">
 <!ENTITY libao-desc SYSTEM "libao-desc.xml">
-<!ENTITY libao-config SYSTEM "libao-config.xml">
+<!ENTITY libao-version "0.8.3">
+<!ENTITY libao-download-http "http://fatpipe.vorbis.com/files/1.0/unix/libao-&libao-version;.tar.gz">
+<!ENTITY libao-download-ftp "ftp://ftp.yars.free.net/pub/software/unix/util/sound/ogg/libao-&libao-version;.tar.gz">
+<!ENTITY libao-size "212 KB">
 <!ENTITY libao-buildsize "1.7 MB">
-<!ENTITY libao-version "0.8.3">
-<!ENTITY libao-download-http "http://fatpipe.vorbis.com/files/1.0/unix/libao-0.8.3.tar.gz">
-<!ENTITY libao-download-ftp "">
-<!ENTITY libao-size "212 KB">
 <!ENTITY libao-time "0.05 SBU">
Index: multimedia/libdriv/libdv/libdv.ent
===================================================================
--- multimedia/libdriv/libdv/libdv.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libdv/libdv.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY libdv-intro SYSTEM "libdv-intro.xml">
 <!ENTITY libdv-inst SYSTEM "libdv-inst.xml">
-<!ENTITY libdv-exp SYSTEM "libdv-exp.xml">
 <!ENTITY libdv-desc SYSTEM "libdv-desc.xml">
-<!ENTITY libdv-config SYSTEM "libdv-config.xml">
-<!ENTITY libdv-buildsize "8.5 MB">
 <!ENTITY libdv-version "0.99">
 <!ENTITY libdv-download-http "http://flow.dl.sourceforge.net/sourceforge/libdv/libdv-&libdv-version;.tar.gz">
 <!ENTITY libdv-download-ftp "">
 <!ENTITY libdv-size "351 KB">
+<!ENTITY libdv-buildsize "8.5 MB">
 <!ENTITY libdv-time "0.21 SBU">
Index: multimedia/libdriv/libdvdcss/libdvdcss.ent
===================================================================
--- multimedia/libdriv/libdvdcss/libdvdcss.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libdvdcss/libdvdcss.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY libdvdcss-intro SYSTEM "libdvdcss-intro.xml">
 <!ENTITY libdvdcss-inst SYSTEM "libdvdcss-inst.xml">
-<!ENTITY libdvdcss-exp SYSTEM "libdvdcss-exp.xml">
 <!ENTITY libdvdcss-desc SYSTEM "libdvdcss-desc.xml">
-<!ENTITY libdvdcss-config SYSTEM "libdvdcss-config.xml">
-<!ENTITY libdvdcss-buildsize "2.6 MB">
 <!ENTITY libdvdcss-version "1.2.8">
 <!ENTITY libdvdcss-download-http "http://www.videolan.org/pub/libdvdcss/&libdvdcss-version;/libdvdcss-&libdvdcss-version;.tar.bz2">
-<!ENTITY libdvdcss-download-ftp "">
+<!ENTITY libdvdcss-download-ftp "ftp://ftp.us.sinuspl.net/pub/src/libdvdcss-&libdvdcss-version;.tar.bz2">
 <!ENTITY libdvdcss-size "205 KB">
+<!ENTITY libdvdcss-buildsize "2.6 MB">
 <!ENTITY libdvdcss-time "0.07 SBU">
Index: multimedia/libdriv/libdvdread/libdvdread.ent
===================================================================
--- multimedia/libdriv/libdvdread/libdvdread.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libdvdread/libdvdread.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -4,10 +4,8 @@
 <!ENTITY libdvdread-exp SYSTEM "libdvdread-exp.xml">
 <!ENTITY libdvdread-desc SYSTEM "libdvdread-desc.xml">
-<!ENTITY libdvdread-config SYSTEM "libdvdread-config.xml">
+<!ENTITY libdvdread-version "0.9.4">
+<!ENTITY libdvdread-download-http "http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-&libdvdread-version;.tar.gz">
+<!ENTITY libdvdread-download-ftp "ftp://www.videolan.org/pub/videolan/vls/0.5.3/contrib/libdvdread-&libdvdread-version;.tar.gz">
+<!ENTITY libdvdread-size "251 KB">
 <!ENTITY libdvdread-buildsize "4.0 MB">
-<!ENTITY libdvdread-version "0.9.4">
-<!ENTITY libdvdread-download-http
-"http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-&libdvdread-version;.tar.gz">
-<!ENTITY libdvdread-download-ftp "">
-<!ENTITY libdvdread-size "251 KB">
 <!ENTITY libdvdread-time "0.12 SBU">
Index: multimedia/libdriv/libfame/libfame.ent
===================================================================
--- multimedia/libdriv/libfame/libfame.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libfame/libfame.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,12 +2,9 @@
 <!ENTITY libfame-intro SYSTEM "libfame-intro.xml">
 <!ENTITY libfame-inst SYSTEM "libfame-inst.xml">
-<!ENTITY libfame-exp SYSTEM "libfame-exp.xml">
 <!ENTITY libfame-desc SYSTEM "libfame-desc.xml">
-<!ENTITY libfame-config SYSTEM "libfame-config.xml">
+<!ENTITY libfame-version "0.9.0">
+<!ENTITY libfame-download-http "http://flow.dl.sourceforge.net/sourceforge/fame/libfame-&libfame-version;.tar.gz">
+<!ENTITY libfame-download-ftp "ftp://sunsite.ccu.edu.tw/pub14/sourceforge/f/fame/libfame-&libfame-version;.tar.gz">
+<!ENTITY libfame-size "233 KB">
 <!ENTITY libfame-buildsize "6.0 MB">
-<!ENTITY libfame-version "0.9.0">
-<!ENTITY libfame-download-http
-"http://flow.dl.sourceforge.net/sourceforge/fame/libfame-&libfame-version;.tar.gz">
-<!ENTITY libfame-download-ftp "">
-<!ENTITY libfame-size "233 KB">
 <!ENTITY libfame-time "1.17 SBU">
Index: multimedia/libdriv/libmad/libmad.ent
===================================================================
--- multimedia/libdriv/libmad/libmad.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libmad/libmad.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,13 +2,9 @@
 <!ENTITY libmad-intro SYSTEM "libmad-intro.xml">
 <!ENTITY libmad-inst SYSTEM "libmad-inst.xml">
-<!ENTITY libmad-exp SYSTEM "libmad-exp.xml">
 <!ENTITY libmad-desc SYSTEM "libmad-desc.xml">
-<!ENTITY libmad-config SYSTEM "libmad-config.xml">
+<!ENTITY libmad-version "0.15.0b">
+<!ENTITY libmad-download-http "http://flow.dl.sourceforge.net/sourceforge/mad/libmad-&libmad-version;.tar.gz">
+<!ENTITY libmad-download-ftp "ftp://ftp.mars.org/pub/mpeg/libmad-&libmad-version;.tar.gz">
+<!ENTITY libmad-size "398 KB">
 <!ENTITY libmad-buildsize "3.8 MB">
-<!ENTITY libmad-version "0.15.0b">
-<!ENTITY libmad-download-http
-"http://flow.dl.sourceforge.net/sourceforge/mad/libmad-&libmad-version;.tar.gz">
-<!ENTITY libmad-download-ftp
-"ftp://ftp.mars.org/pub/mpeg/libmad-&libmad-version;.tar.gz">
-<!ENTITY libmad-size "398 KB">
 <!ENTITY libmad-time "0.09 SBU">
Index: multimedia/libdriv/libmpeg3/libmpeg3.ent
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/libmpeg3/libmpeg3.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -4,10 +4,8 @@
 <!ENTITY libmpeg3-exp SYSTEM "libmpeg3-exp.xml">
 <!ENTITY libmpeg3-desc SYSTEM "libmpeg3-desc.xml">
-<!ENTITY libmpeg3-config SYSTEM "libmpeg3-config.xml">
-<!ENTITY libmpeg3-buildsize "7.0 MB">
 <!ENTITY libmpeg3-version "1.5.2">
-<!ENTITY libmpeg3-download-http
-"http://aleron.dl.sourceforge.net/sourceforge/heroines/libmpeg3-&libmpeg3-version;-src.tar.bz2">
+<!ENTITY libmpeg3-download-http "http://aleron.dl.sourceforge.net/sourceforge/heroines/libmpeg3-&libmpeg3-version;-src.tar.bz2">
 <!ENTITY libmpeg3-download-ftp "">
 <!ENTITY libmpeg3-size "611 KB">
+<!ENTITY libmpeg3-buildsize "7.0 MB">
 <!ENTITY libmpeg3-time "0.13 SBU">
Index: multimedia/libdriv/nas/nas.ent
===================================================================
--- multimedia/libdriv/nas/nas.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/nas/nas.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,11 @@
 <!ENTITY nas-intro SYSTEM "nas-intro.xml">
 <!ENTITY nas-inst SYSTEM "nas-inst.xml">
-<!ENTITY nas-desc SYSTEM "nas-desc.xml">
 <!ENTITY nas-exp SYSTEM "nas-exp.xml">
 <!ENTITY nas-config SYSTEM "nas-config.xml">
-<!ENTITY nas-buildsize "13 MB">
+<!ENTITY nas-desc SYSTEM "nas-desc.xml">
 <!ENTITY nas-version "1.6">
 <!ENTITY nas-download-http "http://radscan.com/nas/nas-&nas-version;.src.tar.gz">
-<!ENTITY nas-download-ftp "">
+<!ENTITY nas-download-ftp "ftp://ftp.azc.uam.mx/mirrors/gnu/xemacs/aux/nas-&nas-version;.src.tar.gz">
 <!ENTITY nas-size "1.0 MB">
+<!ENTITY nas-buildsize "13 MB">
 <!ENTITY nas-time "0.30 SBU">
Index: multimedia/libdriv/openquicktime/openquicktime.ent
===================================================================
--- multimedia/libdriv/openquicktime/openquicktime.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/openquicktime/openquicktime.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,12 +2,9 @@
 <!ENTITY openquicktime-intro SYSTEM "openquicktime-intro.xml">
 <!ENTITY openquicktime-inst SYSTEM "openquicktime-inst.xml">
-<!ENTITY openquicktime-exp SYSTEM "openquicktime-exp.xml">
 <!ENTITY openquicktime-desc SYSTEM "openquicktime-desc.xml">
-<!ENTITY openquicktime-config SYSTEM "openquicktime-config.xml">
-<!ENTITY openquicktime-buildsize "8.6 MB">
 <!ENTITY openquicktime-version "1.0">
-<!ENTITY openquicktime-download-http
-"http://flow.dl.sourceforge.net/sourceforge/openquicktime/openquicktime-&openquicktime-version;-src.tgz">
+<!ENTITY openquicktime-download-http "http://flow.dl.sourceforge.net/sourceforge/openquicktime/openquicktime-&openquicktime-version;-src.tgz">
 <!ENTITY openquicktime-download-ftp "">
 <!ENTITY openquicktime-size "313 KB">
+<!ENTITY openquicktime-buildsize "8.6 MB">
 <!ENTITY openquicktime-time "0.11 SBU">
Index: multimedia/libdriv/sdl/sdl.ent
===================================================================
--- multimedia/libdriv/sdl/sdl.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/sdl/sdl.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -3,10 +3,10 @@
 <!ENTITY SDL-inst SYSTEM "sdl-inst.xml">
 <!ENTITY SDL-exp SYSTEM "sdl-exp.xml">
+<!ENTITY SDL-config SYSTEM "sdl-config.xml">
 <!ENTITY SDL-desc SYSTEM "sdl-desc.xml">
-<!ENTITY SDL-config SYSTEM "sdl-config.xml">
-<!ENTITY SDL-buildsize "50.3 MB">
 <!ENTITY SDL-version "1.2.6">
 <!ENTITY SDL-download-http "http://www.libsdl.org/release/SDL-&SDL-version;.tar.gz">
 <!ENTITY SDL-download-ftp "">
 <!ENTITY SDL-size "1.9 MB">
+<!ENTITY SDL-buildsize "50.3 MB">
 <!ENTITY SDL-time "0.72 SBU">
Index: multimedia/libdriv/speex/speex.ent
===================================================================
--- multimedia/libdriv/speex/speex.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ multimedia/libdriv/speex/speex.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -2,11 +2,9 @@
 <!ENTITY speex-intro SYSTEM "speex-intro.xml">
 <!ENTITY speex-inst SYSTEM "speex-inst.xml">
-<!ENTITY speex-exp SYSTEM "speex-exp.xml">
 <!ENTITY speex-desc SYSTEM "speex-desc.xml">
-<!ENTITY speex-config SYSTEM "speex-config.xml">
-<!ENTITY speex-buildsize "4.0 MB">
 <!ENTITY speex-version "1.0.1">
 <!ENTITY speex-download-http "http://www.speex.org/download/speex-&speex-version;.tar.gz">
 <!ENTITY speex-download-ftp "">
 <!ENTITY speex-size "381 KB">
+<!ENTITY speex-buildsize "4.0 MB">
 <!ENTITY speex-time "0.13 SBU">
Index: xsoft/suites/koffice/koffice.ent
===================================================================
--- xsoft/suites/koffice/koffice.ent	(revision e6da9e5b60c6d553be10206f8693568e741d5412)
+++ xsoft/suites/koffice/koffice.ent	(revision 379f40aaad6afd24b9efbc76be0cd59a2829622a)
@@ -7,4 +7,4 @@
 <!ENTITY koffice-download-ftp "ftp://ftp.kde.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
 <!ENTITY koffice-size "8.8 MB">
-<!ENTITY koffice-buildsize "133 MB">
-<!ENTITY koffice-time "">
+<!ENTITY koffice-buildsize "150 MB">
+<!ENTITY koffice-time "44.89 SBU">