Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 4c24eb0a403fe17135824b0950bdccba416a6f22)
+++ multimedia/videoutils/ffmpeg.xml	(revision 380e63ac308101e57a204c4ced7b71e050027511)
@@ -7,8 +7,8 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.xz">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "5d1956bb552e91dc3b8287db346d0d58">
-  <!ENTITY ffmpeg-size          "8.9 MB">
-  <!ENTITY ffmpeg-buildsize     "170 MB (add 3.7 GB for the FATE suite/tests, add 1.3 GB for doxygen docs)">
-  <!ENTITY ffmpeg-time          "1.3 SBU (using parallelism=4; add 3.8 SBU (with THREADS=4) to run the FATE suite after sample files are downloaded; add 1.1 SBU for doxygen docs)">
+  <!ENTITY ffmpeg-md5sum        "29529337d9b8f794a6142db10b717ec5">
+  <!ENTITY ffmpeg-size          "9.0 MB">
+  <!ENTITY ffmpeg-buildsize     "206 MB (add 2.4 GB for the FATE suite/tests, add 1.4 GB for documentation)">
+  <!ENTITY ffmpeg-time          "1.3 SBU (using parallelism=4; add 3.6 SBU (with THREADS=4) to run the FATE suite after sample files are downloaded; add 0.7 SBU for doxygen docs)">
 ]>
 
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -105,4 +105,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="doxygen"/>,
       <xref linkend="fontconfig"/>,
       <xref linkend="fribidi"/>,
@@ -139,5 +140,5 @@
       <ulink url="http://www.libssh.org/">libssh</ulink>,
       <!--<ulink url="http://xavs.sourceforge.net/">libxavs</ulink> (SVN checkout),-->
-      <ulink url="http://kcat.strangesoft.net/openal-releases/">OpenAL</ulink>,
+      <ulink url="https://openal.org/">OpenAL</ulink>,
       <ulink url="http://sourceforge.net/projects/opencore-amr">OpenCore AMR</ulink>,
       <!--<ulink url="http://diracvideo.org/">Schroedinger</ulink>,-->
@@ -310,5 +311,5 @@
 
     <para>
-      <command>find ... ;</command>: Fix permissions of documentation files
+      <command>find ... ;</command>: Fixes permissions of documentation files
       and directories.
     </para>
@@ -443,4 +444,5 @@
   </sect2>
 
+<!-- ffserver has been removed
   <sect2 role="configuration">
     <title>Configuring FFmpeg</title>
@@ -450,6 +452,6 @@
 
       <para>
-        <filename>/etc/ffserver.conf</filename> and
-        <filename>~/.ffmpeg/ffserver-config</filename>
+         <filename>/etc/ffserver.conf</filename>
+         <filename>~/.ffmpeg/ffserver-config</filename>
       </para>
 
@@ -471,4 +473,5 @@
 
   </sect2>
+  -->
 
   <sect2 role="content">
@@ -482,13 +485,13 @@
       <seglistitem>
         <seg>
-          ffmpeg, ffplay, ffprobe, ffserver, and qt-faststart
+          ffmpeg, ffplay, ffprobe, <!--ffserver,--> and qt-faststart
         </seg>
         <seg>
           libavcodec.so, libavdevice.so, libavfilter.so,
-          libavformat.so, libavutil.so, libpostproc.so,
+          libavformat.so, libavutil.so, libavresample.so, libpostproc.so,
           libswresample.so, and libswscale.so
         </seg>
         <seg>
-          /usr/include/libav{codec,device,filter,format,util},
+          /usr/include/libav{codec,device,filter,format,resample,util},
           /usr/include/libpostproc,
           /usr/include/libsw{resample,scale},
@@ -543,4 +546,5 @@
       </varlistentry>
 
+<!-- Not found in 4.3.2
       <varlistentry id="ffserver">
         <term><command>ffserver</command></term>
@@ -555,5 +559,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="qt-faststart">
         <term><command>qt-faststart</command></term>
@@ -620,4 +624,16 @@
       </varlistentry>
 
+      <varlistentry id="libavresample">
+        <term><filename class="libraryfile">libavresample.so</filename></term>
+        <listitem>
+          <para>
+            is a library containing functions for resampling audio and video.
+          </para>
+          <indexterm zone="ffmpeg libavresample">
+            <primary sortas="c-libavresample">libavresample</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="libavutil">
         <term><filename class="libraryfile">libavutil.so</filename></term>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision 4c24eb0a403fe17135824b0950bdccba416a6f22)
+++ multimedia/videoutils/xine-ui.xml	(revision 380e63ac308101e57a204c4ced7b71e050027511)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs10_checked;
+    &lfs101_checked;
 
     <note>