Index: neral/graphlib/aalib/aalib-config.xml
===================================================================
--- general/graphlib/aalib/aalib-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>aalib</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/graphlib/aalib/aalib.ent
===================================================================
--- general/graphlib/aalib/aalib.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/aalib/aalib.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -2,11 +2,9 @@
 <!ENTITY aalib-intro SYSTEM "aalib-intro.xml">
 <!ENTITY aalib-inst SYSTEM "aalib-inst.xml">
-<!ENTITY aalib-exp SYSTEM "aalib-exp.xml">
 <!ENTITY aalib-desc SYSTEM "aalib-desc.xml">
-<!ENTITY aalib-config SYSTEM "aalib-config.xml">
+<!ENTITY aalib-version "1.4rc5">
+<!ENTITY aalib-download-http "http://telia.dl.sourceforge.net/sourceforge/aa-project/aalib-&aalib-version;.tar.gz">
+<!ENTITY aalib-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/aa-project/aalib-&aalib-version;.tar.gz">
+<!ENTITY aalib-size "388 KB">
 <!ENTITY aalib-buildsize "6.5 MB">
-<!ENTITY aalib-version "1.4rc5">
-<!ENTITY aalib-download-http "http://telia.dl.sourceforge.net/sourceforge/aa-project/aalib-1.4rc5.tar.gz">
-<!ENTITY aalib-download-ftp "ftp://ftp.sourceforge.net/pub/sourceforge/aa-project/aalib-1.4rc5.tar.gz">
-<!ENTITY aalib-size "388 KB">
 <!ENTITY aalib-time "0.15 SBU">
Index: general/graphlib/directfb/directfb.ent
===================================================================
--- general/graphlib/directfb/directfb.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/directfb/directfb.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -2,12 +2,10 @@
 <!ENTITY DirectFB-intro SYSTEM "directfb-intro.xml">
 <!ENTITY DirectFB-inst SYSTEM "directfb-inst.xml">
-<!ENTITY DirectFB-exp SYSTEM "directfb-exp.xml">
+<!ENTITY DirectFB-config SYSTEM "directfb-config.xml">
 <!ENTITY DirectFB-desc SYSTEM "directfb-desc.xml">
-<!ENTITY DirectFB-config SYSTEM "directfb-config.xml">
+<!ENTITY DirectFB-version "0.9.19">
+<!ENTITY DirectFB-download-http "http://www.directfb.org/download/DirectFB/DirectFB-&DirectFB-version;.tar.gz">
+<!ENTITY DirectFB-download-ftp "ftp://ftp.lug.udel.edu/pub/linux/distributions/gentoo/distfiles/DirectFB-&DirectFB-version;.tar.gz">
+<!ENTITY DirectFB-size "1.1 MB">
 <!ENTITY DirectFB-buildsize "13.8 MB">
-<!ENTITY DirectFB-version "0.9.19">
-<!ENTITY DirectFB-download-http
-"http://www.directfb.org/download/DirectFB/DirectFB-&DirectFB-version;.tar.gz">
-<!ENTITY DirectFB-download-ftp "">
-<!ENTITY DirectFB-size "1.1 MB">
 <!ENTITY DirectFB-time "0.51 SBU">
Index: neral/graphlib/imlib/imlib-config.xml
===================================================================
--- general/graphlib/imlib/imlib-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>Imlib</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/graphlib/imlib/imlib.ent
===================================================================
--- general/graphlib/imlib/imlib.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/imlib/imlib.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -4,9 +4,8 @@
 <!ENTITY imlib-desc SYSTEM "imlib-desc.xml">
 <!ENTITY imlib-exp SYSTEM "imlib-exp.xml">
-<!ENTITY imlib-config SYSTEM "imlib-config.xml">
+<!ENTITY imlib-version "1.9.14">
+<!ENTITY imlib-download-http "http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-&imlib-version;.tar.bz2">
+<!ENTITY imlib-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-&imlib-version;.tar.bz2">
+<!ENTITY imlib-size "580 KB">
 <!ENTITY imlib-buildsize "16.4 MB">
-<!ENTITY imlib-version "1.9.14">
-<!ENTITY imlib-download-http "http://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-1.9.14.tar.bz2">
-<!ENTITY imlib-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/imlib/1.9/imlib-1.9.14.tar.bz2">
-<!ENTITY imlib-size "580 KB">
 <!ENTITY imlib-time "0.43 SBU">
Index: neral/graphlib/imlib2/imlib2-config.xml
===================================================================
--- general/graphlib/imlib2/imlib2-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Configuring Imlib2</title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
Index: general/graphlib/imlib2/imlib2.ent
===================================================================
--- general/graphlib/imlib2/imlib2.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/imlib2/imlib2.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -2,12 +2,9 @@
 <!ENTITY imlib2-intro SYSTEM "imlib2-intro.xml">
 <!ENTITY imlib2-inst SYSTEM "imlib2-inst.xml">
-<!ENTITY imlib2-exp SYSTEM "imlib2-exp.xml">
 <!ENTITY imlib2-desc SYSTEM "imlib2-desc.xml">
-<!ENTITY imlib2-config SYSTEM "imlib2-config.xml">
+<!ENTITY imlib2-version "1.1.0">
+<!ENTITY imlib2-download-http "http://heanet.dl.sourceforge.net/sourceforge/enlightenment/imlib2-&imlib2-version;.tar.gz">
+<!ENTITY imlib2-download-ftp "ftp://ftp.tux.org/X-Windows/enlightenment/ftp/enlightenment/imlib2-&imlib2-version;.tar.gz">
+<!ENTITY imlib2-size "796 KB">
 <!ENTITY imlib2-buildsize "20 MB">
-<!ENTITY imlib2-version "1.1.0">
-<!ENTITY imlib2-download-http
-"http://heanet.dl.sourceforge.net/sourceforge/enlightenment/imlib2-&imlib2-version;.tar.gz">
-<!ENTITY imlib2-download-ftp "">
-<!ENTITY imlib2-size "796 KB">
 <!ENTITY imlib2-time "0.53 SBU">
Index: general/graphlib/lcms.xml
===================================================================
--- general/graphlib/lcms.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/lcms.xml	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -6,7 +6,5 @@
 &lcms-inst;
 <!-- &lcms-exp; -->
-<!--&lcms-config; -->
 &lcms-desc;
 
 </sect1>
-
Index: neral/graphlib/lcms/lcms-config.xml
===================================================================
--- general/graphlib/lcms/lcms-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring lcms</title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/graphlib/lcms/lcms.ent
===================================================================
--- general/graphlib/lcms/lcms.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/lcms/lcms.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -4,9 +4,8 @@
 <!ENTITY lcms-exp SYSTEM "lcms-exp.xml">
 <!ENTITY lcms-desc SYSTEM "lcms-desc.xml">
-<!ENTITY lcms-config SYSTEM "lcms-config.xml">
-<!ENTITY lcms-buildsize "8.5 MB">
 <!ENTITY lcms-version "1.11">
 <!ENTITY lcms-download-http "http://www.littlecms.com/lcms-&lcms-version;.tar.gz">
-<!ENTITY lcms-download-ftp "">
+<!ENTITY lcms-download-ftp "ftp://sunsite.ccu.edu.tw/pub12/sourceforge/l/lcms/lcms-&lcms-version;.tar.gz">
 <!ENTITY lcms-size "276 KB">
+<!ENTITY lcms-buildsize "8.5 MB">
 <!ENTITY lcms-time "0.19 SBU">
Index: general/graphlib/libjpeg/libjpeg.ent
===================================================================
--- general/graphlib/libjpeg/libjpeg.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/libjpeg/libjpeg.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -3,10 +3,10 @@
 <!ENTITY libjpeg-inst SYSTEM "libjpeg-inst.xml">
 <!ENTITY libjpeg-exp SYSTEM "libjpeg-exp.xml">
+<!ENTITY libjpeg-config SYSTEM "libjpeg-config.xml">
 <!ENTITY libjpeg-desc SYSTEM "libjpeg-desc.xml">
-<!ENTITY libjpeg-config SYSTEM "libjpeg-config.xml">
+<!ENTITY libjpeg-version "6b">
+<!ENTITY libjpeg-download-http "http://www.ijg.org/files/jpegsrc.v&libjpeg-version;.tar.gz">
+<!ENTITY libjpeg-download-ftp "ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v&libjpeg-version;.tar.gz">
+<!ENTITY libjpeg-size "599 KB">
 <!ENTITY libjpeg-buildsize "3.7 MB">
-<!ENTITY libjpeg-version "6b">
-<!ENTITY libjpeg-download-http "">
-<!ENTITY libjpeg-download-ftp "ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz">
-<!ENTITY libjpeg-size "599 KB">
 <!ENTITY libjpeg-time "0.51 SBU">
Index: neral/graphlib/libmng/libmng-config.xml
===================================================================
--- general/graphlib/libmng/libmng-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<sect2>
-<title>Configuring <application>libmng</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
-
Index: general/graphlib/libmng/libmng.ent
===================================================================
--- general/graphlib/libmng/libmng.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/libmng/libmng.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -4,9 +4,8 @@
 <!ENTITY libmng-exp SYSTEM "libmng-exp.xml">
 <!ENTITY libmng-desc SYSTEM "libmng-desc.xml">
-<!ENTITY libmng-config SYSTEM "libmng-config.xml">
-<!ENTITY libmng-buildsize "12.4 MB">
 <!ENTITY libmng-version "1.0.5">
 <!ENTITY libmng-download-http "http://www.mirror.ac.uk/sites/download.sourceforge.net/pub/sourceforge/libmng/libmng-&libmng-version;.tar.gz">
 <!ENTITY libmng-download-ftp "ftp://unc.dl.sf.net/pub/sourceforge/libmng/libmng-&libmng-version;.tar.gz">
 <!ENTITY libmng-size "616 KB">
+<!ENTITY libmng-buildsize "12.4 MB">
 <!ENTITY libmng-time "0.31 SBU">
Index: general/graphlib/libpng/libpng.ent
===================================================================
--- general/graphlib/libpng/libpng.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/libpng/libpng.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -3,10 +3,10 @@
 <!ENTITY libpng-inst SYSTEM "libpng-inst.xml">
 <!ENTITY libpng-exp SYSTEM "libpng-exp.xml">
+<!ENTITY libpng-config SYSTEM "libpng-config.xml">
 <!ENTITY libpng-desc SYSTEM "libpng-desc.xml">
-<!ENTITY libpng-config SYSTEM "libpng-config.xml">
+<!ENTITY libpng-version "1.2.5">
+<!ENTITY libpng-download-http "http://telia.dl.sourceforge.net/sourceforge/libpng/libpng-&libpng-version;.tar.bz2">
+<!ENTITY libpng-download-ftp "ftp://ftp.iasi.roedu.net/pub/mirrors/ftp.gimp.org/gimp/libs/libpng-&libpng-version;.tar.bz2">
+<!ENTITY libpng-size "376 KB">
 <!ENTITY libpng-buildsize "4.1 MB">
-<!ENTITY libpng-version "1.2.5">
-<!ENTITY libpng-download-http "http://telia.dl.sourceforge.net/sourceforge/libpng/libpng-1.2.5.tar.bz2">
-<!ENTITY libpng-download-ftp "ftp://swrinde.nde.swri.edu/pub/png/src/libpng-1.2.5.tar.gz">
-<!ENTITY libpng-size "376 KB">
 <!ENTITY libpng-time "0.16">
Index: general/graphlib/libtiff/libtiff.ent
===================================================================
--- general/graphlib/libtiff/libtiff.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/libtiff/libtiff.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -3,10 +3,10 @@
 <!ENTITY libtiff-inst SYSTEM "libtiff-inst.xml">
 <!ENTITY libtiff-exp SYSTEM "libtiff-exp.xml">
+<!ENTITY libtiff-config SYSTEM "libtiff-config.xml">
 <!ENTITY libtiff-desc SYSTEM "libtiff-desc.xml">
-<!ENTITY libtiff-config SYSTEM "libtiff-config.xml">
+<!ENTITY libtiff-version "3.5.7">
+<!ENTITY libtiff-download-http "http://gd.tuwien.ac.at/hci/windowmaker/libs/tiff-v&libtiff-version;.tar.gz">
+<!ENTITY libtiff-download-ftp "ftp://ftp.remotesensing.org/pub/libtiff/tiff-v&libtiff-version;.tar.gz">
+<!ENTITY libtiff-size "928 KB">
 <!ENTITY libtiff-buildsize "5.9 MB">
-<!ENTITY libtiff-version "3.5.7">
-<!ENTITY libtiff-download-http "">
-<!ENTITY libtiff-download-ftp "ftp://ftp.remotesensing.org/pub/libtiff/tiff-v3.5.7.tar.gz">
-<!ENTITY libtiff-size "928 KB">
 <!ENTITY libtiff-time "0.26 SBU">
Index: neral/graphlib/libungif/libungif-config.xml
===================================================================
--- general/graphlib/libungif/libungif-config.xml	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Configuring <application>libungif</application></title>
-
-<sect3><title>Configuration Information</title>
-
-&library-config;
-
-</sect3>
-
-</sect2>
Index: general/graphlib/libungif/libungif.ent
===================================================================
--- general/graphlib/libungif/libungif.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/libungif/libungif.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -3,9 +3,8 @@
 <!ENTITY libungif-inst SYSTEM "libungif-inst.xml">
 <!ENTITY libungif-desc SYSTEM "libungif-desc.xml">
-<!ENTITY libungif-config SYSTEM "libungif-config.xml">
+<!ENTITY libungif-version "4.1.0b1">
+<!ENTITY libungif-download-http "http://www.linuxpackages.net/packages/Slackware-8/robert/libungif-&libungif-version;/source/libungif-&libungif-version;.tar.gz">
+<!ENTITY libungif-download-ftp "ftp://ftp.sunfreeware.com/pub/freeware/SOURCES/libungif-&libungif-version;.tar.gz">
+<!ENTITY libungif-size "343 KB">
 <!ENTITY libungif-buildsize "3.1 MB">
-<!ENTITY libungif-version "4.1.0b1">
-<!ENTITY libungif-download-http "http://www.linuxpackages.net/packages/Slackware-8/robert/libungif-4.1.0b1/source/libungif-4.1.0b1.tar.gz">
-<!ENTITY libungif-download-ftp "">
-<!ENTITY libungif-size "343 KB">
 <!ENTITY libungif-time "0.11 SBU">
Index: general/graphlib/svgalib/svgalib.ent
===================================================================
--- general/graphlib/svgalib/svgalib.ent	(revision 3ab3405c91953364e534b7414c6b4c5bee19b74e)
+++ general/graphlib/svgalib/svgalib.ent	(revision 382b5fc89a098cb9d974cccb36167c2d620aa902)
@@ -3,10 +3,10 @@
 <!ENTITY SVGAlib-inst SYSTEM "svgalib-inst.xml">
 <!ENTITY SVGAlib-exp SYSTEM "svgalib-exp.xml">
+<!ENTITY SVGAlib-config SYSTEM "svgalib-config.xml">
 <!ENTITY SVGAlib-desc SYSTEM "svgalib-desc.xml">
-<!ENTITY SVGAlib-config SYSTEM "svgalib-config.xml">
-<!ENTITY SVGAlib-buildsize "9.7 MB">
 <!ENTITY SVGAlib-version "1.4.3">
 <!ENTITY SVGAlib-download-http "http://www.svgalib.org/svgalib-&SVGAlib-version;.tar.gz">
-<!ENTITY SVGAlib-download-ftp "">
+<!ENTITY SVGAlib-download-ftp "ftp://ftp.ibiblio.org/pub/Linux/libs/graphics/svgalib-&SVGAlib-version;.tar.gz">
 <!ENTITY SVGAlib-size "827 KB">
+<!ENTITY SVGAlib-buildsize "9.7 MB">
 <!ENTITY SVGAlib-time "0.20 SBU">