Index: gnome/lib/gnomelib/gnome-libs-desc.xml
===================================================================
--- gnome/lib/gnomelib/gnome-libs-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/gnome-libs-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,10 +2,11 @@
 <title>Contents</title>
 
-<para>The gnome-libs package contains <userinput>libgnome</userinput>,
-<userinput>libgnomeui</userinput>,
-<userinput>libgnomesupport</userinput>,
-<userinput>libart_lgpl</userinput>,
-<userinput>libgtk-xmhtml</userinput>,
-<userinput>libgnorbagtk</userinput> and <userinput>libzvt</userinput>.</para>
+<para>The gnome-libs package contains <filename>libgnome</filename>,
+<filename>libgnomeui</filename>,
+<filename>libgnomesupport</filename>,
+<filename>libart_lgpl</filename>,
+<filename>libgtk-xmhtml</filename>,
+<filename>libgnorbagtk</filename> and <filename>libzvt</filename>
+libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libart_lgpl-desc.xml
===================================================================
--- gnome/lib/gnomelib/libart_lgpl-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libart_lgpl-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libart_lgpl package contains <userinput>libart_lgpl libraries</userinput>.</para>
+<para>The libart_lgpl package contains <filename>libart_lgpl</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libbonobo-desc.xml
===================================================================
--- gnome/lib/gnomelib/libbonobo-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libbonobo-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libbonobo package contains <userinput>libbonobo libraries</userinput>.</para>
+<para>The libbonobo package contains <filename>libbonobo</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libbonoboui-desc.xml
===================================================================
--- gnome/lib/gnomelib/libbonoboui-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libbonoboui-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libbonoboui package contains <userinput>libbonoboui libraries</userinput>.</para>
+<para>The libbonoboui package contains <filename>libbonoboui</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libgnome-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libgnome-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libgnome package contains <userinput>libgnome libraries</userinput>.</para>
+<para>The libgnome package contains <filename>libgnome</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libgnomecanvas-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnomecanvas-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libgnomecanvas-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,6 +2,7 @@
 <title>Contents</title>
 
-<para>The libgnomecanvas package contains <userinput>libgnomecanvas
-libraries</userinput>.</para>
+<para>The libgnomecanvas package contains
+<filename>libgnomecanvas</filename>
+libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libgnomeui-desc.xml
===================================================================
--- gnome/lib/gnomelib/libgnomeui-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libgnomeui-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libgnomeui package contains <userinput>libgnomeui libraries</userinput>.</para>
+<para>The libgnomeui package contains <filename>libgnomeui</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gnomelib/libzvt-desc.xml
===================================================================
--- gnome/lib/gnomelib/libzvt-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gnomelib/libzvt-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libzvt package contains <userinput>libzvt libraries</userinput>.</para>
+<para>The libzvt package contains <filename>libzvt</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/gtk-engines/gtk-engines-desc.xml
===================================================================
--- gnome/lib/gtk-engines/gtk-engines-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/gtk-engines/gtk-engines-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The gtk-engines package contains <userinput>engine
-libraries</userinput> and <userinput>theme files</userinput>.</para>
+<para>The gtk-engines package contains <filename>engines</filename> 
+libraries and theme files.</para>
 
 </sect2>
@@ -9,5 +9,5 @@
 <sect2><title>Description</title>
 
-<sect3><title>engine libraries</title>
+<sect3><title>engines libraries</title>
 <para>engine libraries is a theme manager.</para></sect3>
 
Index: gnome/lib/libglade/libglade-desc.xml
===================================================================
--- gnome/lib/libglade/libglade-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/libglade/libglade-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,6 +2,5 @@
 <title>Contents</title>
 
-<para>The libglade package contains <userinput>libglade
-libraries</userinput>.</para>
+<para>The libglade package contains <filename>libglade</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/libgnomeprint/libgnomeprint-desc.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/libgnomeprint/libgnomeprint-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The libgnomeprint package contains <userinput>libgnomeprint libraries</userinput>.</para>
+<para>The libgnomeprint package contains
+<filename>libgnomeprint</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/libgnomeprint/libgnomeprintui-desc.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprintui-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/libgnomeprint/libgnomeprintui-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The libgnomeprintui package contains <userinput>libgnomeprintui libraries</userinput>.</para>
+<para>The libgnomeprintui package contains
+<filename>libgnomeprintui</filename> libraries.</para>
 
 </sect2>
Index: gnome/lib/libgtkhtml/libgtkhtml-desc.xml
===================================================================
--- gnome/lib/libgtkhtml/libgtkhtml-desc.xml	(revision 2277d1bb98493be39ca401df21f86d9f9cc2c0b8)
+++ gnome/lib/libgtkhtml/libgtkhtml-desc.xml	(revision 0384d4feeef86e189a595315cf743da073a251f5)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The libgtkhtml package contains <userinput>libgtkhtml libraries</userinput>.</para>
+<para>The libgtkhtml package contains <filename>libgtkhtml</filename> libraries.</para>
 
 </sect2>