Index: gnome.ent
===================================================================
--- gnome.ent	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ gnome.ent	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -10,7 +10,7 @@
 <!-- GNOME Libraries and Utilities -->
 <!ENTITY accountsservice-version      "0.6.40">
-<!ENTITY gcr-version                  "3.18.0">
+<!ENTITY gcr-version                  "3.20.0">
 <!ENTITY gsettings-desktop-schemas-version "3.20.0">
-<!ENTITY libsecret-version            "0.18.4">
+<!ENTITY libsecret-version            "0.18.5">
 <!ENTITY rest-version                 "0.8.0">
 <!ENTITY totem-pl-parser-version      "3.10.6">
@@ -53,5 +53,5 @@
 <!ENTITY zenity-version                 "3.18.1.1">
 <!ENTITY gnome-bluetooth-version        "3.18.2">
-<!ENTITY gnome-keyring-version          "3.18.3">
+<!ENTITY gnome-keyring-version          "3.20.0">
 <!ENTITY gnome-settings-daemon-version  "3.18.2">
 <!ENTITY gnome-control-center-version   "3.16.3">
Index: gnome/desktop/gnome-keyring.xml
===================================================================
--- gnome/desktop/gnome-keyring.xml	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ gnome/desktop/gnome-keyring.xml	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -6,10 +6,10 @@
 
   <!ENTITY gnome-keyring-download-http
-           "&gnome-download-http;/gnome-keyring/&gnome-minor18;/gnome-keyring-&gnome-keyring-version;.tar.xz">
+           "&gnome-download-http;/gnome-keyring/&gnome-minor20;/gnome-keyring-&gnome-keyring-version;.tar.xz">
   <!ENTITY gnome-keyring-download-ftp
-           "&gnome-download-ftp;/gnome-keyring/&gnome-minor18;/gnome-keyring-&gnome-keyring-version;.tar.xz">
-  <!ENTITY gnome-keyring-md5sum        "b92e33a9d28998e3e3dfd025d4424cb7">
+           "&gnome-download-ftp;/gnome-keyring/&gnome-minor20;/gnome-keyring-&gnome-keyring-version;.tar.xz">
+  <!ENTITY gnome-keyring-md5sum        "e09efe8021944dae404736b5a2adb98e">
   <!ENTITY gnome-keyring-size          "1.2 MB">
-  <!ENTITY gnome-keyring-buildsize     "138 MB">
+  <!ENTITY gnome-keyring-buildsize     "148 MB (with tests)">
   <!ENTITY gnome-keyring-time          "1.0 SBU (with tests)">
 ]>
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gcr.xml
===================================================================
--- gnome/platform/gcr.xml	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ gnome/platform/gcr.xml	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor18;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor18;/gcr-&gcr-version;.tar.xz">
-  <!ENTITY gcr-md5sum        "b959bac99e17c9bb0990a15c9be11aed">
-  <!ENTITY gcr-size          "1.2 MB">
-  <!ENTITY gcr-buildsize     "81 MB">
+  <!ENTITY gcr-download-http "&gnome-download-http;/gcr/&gnome-minor20;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-download-ftp  "&gnome-download-ftp;/gcr/&gnome-minor20;/gcr-&gcr-version;.tar.xz">
+  <!ENTITY gcr-md5sum        "4314bf89eac293dd0a9d806593ff1b35">
+  <!ENTITY gcr-size          "1.3 MB">
+  <!ENTITY gcr-buildsize     "85 MB (with tests)">
   <!ENTITY gcr-time          "0.9 SBU (with tests)">
 ]>
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -111,5 +111,7 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
+<screen><userinput>sed -i -r 's:("/desktop):"/org/gnome\1:' schema/*.xml &amp;&amp;
+
+./configure --prefix=/usr --sysconfdir=/etc &amp;&amp;
 make</userinput></screen>
 
@@ -131,4 +133,7 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+    
+    <para><command>sed -i ... schema/*.xml</command>: This command
+    fixes a deprecated entry in the schema template.</para>    
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ gnome/platform/gjs.xml	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs78_checked;
+    &lfs79_checked;&gcc6_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -103,5 +103,8 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
+<screen><userinput>sed -e '/inout/s:JSUnit://JSUnit:' \
+    -i installed-tests/js/jestEverythingBasic.js &amp;&amp;
+
+./configure --prefix=/usr &amp;&amp;
 make</userinput></screen>
 
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ gnome/platform/libsecret.xml	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -7,8 +7,8 @@
   <!ENTITY libsecret-download-http "&gnome-download-http;/libsecret/0.18/libsecret-&libsecret-version;.tar.xz">
   <!ENTITY libsecret-download-ftp  "&gnome-download-ftp;/libsecret/0.18/libsecret-&libsecret-version;.tar.xz">
-  <!ENTITY libsecret-md5sum        "5190da1ee686437046bc10068f120d1d">
-  <!ENTITY libsecret-size          "488 KB">
-  <!ENTITY libsecret-buildsize     "16 MB (with tests)">
-  <!ENTITY libsecret-time          "0.2 SBU (with tests)">
+  <!ENTITY libsecret-md5sum        "2d688825921313da8731313b0a7f394c">
+  <!ENTITY libsecret-size          "500 KB">
+  <!ENTITY libsecret-buildsize     "35 MB">
+  <!ENTITY libsecret-time          "0.2 SBU">
 ]>
 
@@ -135,4 +135,5 @@
 <screen role="root"><userinput>make install</userinput></screen>
 
+<!--
     <para>
       To test the results, issue: <command>make -k check</command> after the
@@ -141,4 +142,7 @@
       for unknown reasons.
     </para>
+-->
+<!-- I am marking that this package does not have a working test suite.
+     I got 9 errors AND 144 failures. -renodr -->
 
   </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 252bf58c59abfc22ae6a5ca87f0cdd454b45af85)
+++ introduction/welcome/changelog.xml	(revision 390cba32a8ae0a21c20c15879df3deaf07fdeaed)
@@ -45,4 +45,22 @@
 -->
     <listitem>
+      <para>July 3rd, 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to libsecret-0.18.5. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gcr-3.20.0. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-keyring-3.20.0. Partially fixes
+          <ulink url="&blfs-ticket-root;7877">#7877</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 26th, 2016</para>
       <itemizedlist>