Index: general/sysutils/colord.xml
===================================================================
--- general/sysutils/colord.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/colord.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/dbus-bindings.xml
===================================================================
--- general/sysutils/dbus-bindings.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/dbus-bindings.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -86,5 +86,5 @@
       <title>Introduction to D-Bus GLib Bindings</title>
 
-      &lfs71_checked;
+      &lfs72_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
@@ -220,5 +220,5 @@
     <title>D-Bus Python Bindings</title>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <indexterm zone="dbus-python">
Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/dbus.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/libarchive.xml
===================================================================
--- general/sysutils/libarchive.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/libarchive.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -33,5 +33,5 @@
     reading/writing various compression formats.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/pciutils.xml
===================================================================
--- general/sysutils/pciutils.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/pciutils.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/udev-extras.xml
===================================================================
--- general/sysutils/udev-extras.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/udev-extras.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -52,6 +52,5 @@
     currently uses, issue <command>/sbin/udevadm --version</command>.</para>
 
-    <para>This package is known to build and work properly using an LFS-development
-    platform. (Using systemd-186.)</para>
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/unzip.xml
===================================================================
--- general/sysutils/unzip.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/unzip.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -40,5 +40,5 @@
     utilities, primarily in a DOS environment.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <caution>
Index: general/sysutils/usbutils.xml
===================================================================
--- general/sysutils/usbutils.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/usbutils.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/which.xml
===================================================================
--- general/sysutils/which.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/which.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -37,5 +37,5 @@
   <application>which</application> package.</para>
 
-  &lfs71_checked;
+  &lfs72_checked;
 
   <sect2 role="package">
Index: general/sysutils/zip.xml
===================================================================
--- general/sysutils/zip.xml	(revision ba291e0bc570b6f818809077f267c6adfe153574)
+++ general/sysutils/zip.xml	(revision 394c86f86b5f6cb8e95f264dbf1b51a7cd1326c2)
@@ -36,5 +36,5 @@
     archives.</para>
 
-    &lfs71_checked;
+    &lfs72_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>